import time
class storyboard:
	#animation module for basic ui controls
	def __init__(self, value, increment_value, increment_direction, value_stop, observer):
		self.value = value # the value to animate
		self.increment_value = increment_value	# eg, width from 1 to 100
		self.increment_direction = increment_direction # 1 or -1
		self.value_stop = value_stop # at what value the animation ends
		self.observer = observer # the delegate to receive changed value
		self.time_since_last_update = int(round(time.time() * 1000))
		self.completed = True
		
		# processes a frame of the animation
	def update(self):
		current_time = int(round(time.time() * 1000)) # time in milliseconds
		time_lapse = (current_time - self.time_since_last_update)/60 #buffer current fame according to real-worl time lapse
		increment = self.increment_value * (time_lapse + 1) * self.increment_direction
		self.value += increment
		if self.increment_direction > 0:
			if self.value >= self.value_stop:
				self.value = self.value_stop
				self.completed = True
		elif self.increment_direction < 0:
			if self.value <= self.value_stop:
				self.value = self.value_stop
				self.completed = True
		self.observer(self.value) #notify observer of the changes
		self.time_since_last_update = int(round(time.time() * 1000))
		
		# change the direction of the animation
	def set_direction(self, value):
		if value != self.increment_direction:
			self.increment_direction = value
			self.completed = False
	
		#change the increment to advance the animation each frame
	def set_increment(self,value):
		self.increment_value = value
		self.completed = False
			
		