import pygame
from control.block import *
from control.text_block import *
from control.control_factory import *
from control.user_control import *
import time
class menu(user_control):
	
	def __init__(self):
		self.name = ""
		self.background = block()
		self.children = []
		self.highlighted_item_background = (235,242,245)
		self.highlighted_item_foreground = (120,120,120)
		self.default_item_background = (213,239,247)
		self.default_item_foreground = (30,30,30)
		self.item_padding = (0,0,0,0)
		self.text = text_block()
		self.children.append(self.text)
		self.x = 0
		self.y = 0
		self.time_since_last_update = int(round(time.time() * 1000))
	
	def set_text(self, value):
		self.text.set_text(value)
		
	def set_children(self, value):
		self.children = value
	
	def set_item_padding(self, value):
		self.item_padding = value
		
	def set_font_size(self, value):
		for child in self.children:
			child.set_font_size(value)
			
	def selected_color(self, value):
		self.highlighted_item_foreground = value
		
	def selected_backcolor(self, value):
		self.highlighted_item_background = value
		
	def unselected_color(self, value):
		self.highlighted_item_foreground = value
		
	def unselected_backcolor(self, value):
		self.highlighted_item_background = value
		
	def set_pos(self, x,y):
		self.x = x
		self.y = y
		#index = 1
		#title_position_x = x + self.item_padding[0]
		#title_position_y = y + (self.text.get_height())
		#self.text.set_pos(title_position_x,title_position_y)
		index = 0
		for child in self.children:
			new_position_x = x + self.item_padding[0]
			new_position_y = y + (index * child.get_height())
			if(index > 0):
				new_position_y += self.item_padding[1] * index
				new_position_y += self.item_padding[3] * index
			child.set_pos(new_position_x,new_position_y )
			index += 1
			
	def update_layout(self):
		pass
		
	def draw_me(self):
		pass