import pygame
from control.text import *
from control.block import *
from control.user_control import *
class text_block(user_control):
	
	def __init__(self):
		self.block = block()
		self.text = text()
		self.children = [self.block, self.text]
		self.text.margin = (6,3,6,3)
		self.x = 0
		self.y = 0
		self.set_width(100)
		self.set_height(16)
		self.set_pos(0,0)
		
	# region unique behaviour
	
	def set_text(self, value):
		self.text.set_value(value)
	
	def get_text(self):
		return self.text.value
		
	def set_font_size(self, value):
		self.text.font_size = value
		self.text.height *= (self.text.font_size/16)
		self.text.width *= (self.text.font_size/16)
		self.update_layout()
		
	# end region 
	
	#region implemented behaviour
	
	def set_pos(self,x,y):
		self.x = 0
		self.y = 0
		self.block.x = x
		self.block.y = y
		self.text.x = x
		self.text.y = y
		self.selected = None
		self.storyboards = None
	def set_width(self, width):
		self.text.width = width * (self.text.font_size/16)
		self.set_block_width()
	
	def get_width(self):
		return self.block.width
		
	def set_height(self, height):
		self.text.height = height * (self.text.font_size/16)
		self.set_block_height()
			
	def set_block_width(self):
		self.block.width = self.text.width + self.text.margin[0] + self.text.margin[2]
			
	def set_block_height(self):
		self.block.height = self.text.height + self.text.margin[1] + self.text.margin[3]
		
	def get_height(self):
		return self.block.height
	
	def get_x(self):
		return self.block.x
	
	def get_y(self):
		return self.block.y
	
	def update_layout(self):
		self.set_block_height()
		self.set_block_width()
	# end region