from control.control_factory import *
from control.user_control import *
from animation.storyboard import *
class user_control:
	"an interface for all input/output components of game ui"
	
	def __init__(self):
		self.width = 100;
		self.height = 100;
		self.children = []
		self.storyboards = []
		
	# region shared behaviour
	
	def set_screen(self,screen):
		self.screen = screen
		for child in self.children:
			child.set_screen(screen)
		
	def draw(self):
		self.draw_me()
		for child in self.children:
			child.draw()	
	
	def hit_test(self, x,y):
		if self.get_x() > x:
			return False
		elif self.get_y() > y:
			return False
		elif self.get_x() + self.get_width() < x:
			return False
		elif self.get_y() + self.get_height() < y:
			return False
		else:
			return True
	
	def animate(self):
		for storyboard in self.storyboards:
			if storyboard.completed == False:
				storyboard.update()
			
	# end region
	
	# region template behaviour
	
	
	def draw_me(self):
		pass
	
	def update_layout(self):
		pass
		
	def set_pos(self,x,y):
		pass
	
	def get_x(self):
		pass
	
	def get_y(self):
		pass
		
	def set_width(self, width):
		pass
		
	def get_width(self):
		pass	
		
	def set_height(self, height):
		pass
		
	def get_height(self):
		pass
		
	# end region
	
			