import pygame
from entities.game_object import *
import constants
class player(game_object):
	def __init__(self, screen, name, x, y, width, height):
		self.is_super = True
		self.has_left_special = True
		self.has_right_special = True
		self.has_top_special = True
		self.has_bottom_special = True
		self.calling_left_special = False
		self.calling_right_special = False
		self.calling_top_special = False
		self.calling_bottom_special = False
		self.using_left_special = False
		self.using_right_special = False
		self.using_bottom_special = False
		self.using_top_special = False
		self.has_jump = False
		self.last_special = ""
		self.screen = screen
		self.frames_running_right = constants.player_walking_r
		self.frames_running_left = constants.player_walking_l
		self.frames_standing_right = constants.player_standing_r
		self.frames_standing_left = constants.player_standing_l
		self.frames_jumping_right = constants.player_jumping_r
		self.frames_jumping_left = constants.player_jumping_l
		self.frames_super_running_right = constants.player_super_walking_r
		self.frames_super_running_left = constants.player_super_walking_l
		self.frames_super_standing_right = constants.player_super_standing_r
		self.frames_super_standing_left = constants.player_super_standing_l
		self.frames_super_jumping_right = constants.player_super_jumping_r
		self.frames_super_jumping_left = constants.player_super_jumping_l
		self.since_last_frame = 0
		self.frames_fps = 10
		self.name = name
		self.current_frame = self.frames_standing_right[0]
		self.frame_change = True
		self.player_controlled = True
		self.is_movable = True
		self.is_real = True
		self.gravity = 1
		self.mass = 4
		self.torque = 0
		self.traction = 3
		self.prev_direction_x = 0
		self.prev_direction_y = 0
		self.direction_x = 1
		self.direction_y = 0
		self.acceleration_x = 0
		self.acceleration_y = 0
		self.acceleration_increment_x = 0
		self.acceleration_increment_y = 0
		self.default_acceleration_increment_x = 10
		self.default_acceleration_increment_y = 1
		
		self.grounded = False
		self.jumping = False
		self.wall_left = False
		self.wall_right = False
		self.max_acceleration_x = 20
		self.max_acceleration_y = 15
		self.default_max_acceleration_x = 20
		self.default_max_acceleration_y = 15
		self.jump_acceleration = 20
		self.velocity_x = 0
		self.velocity_y = 0
		self.terminal_velocity_y = 10
		self.terminal_velocity_x = 10
		self.hp = 100
		self.mana = 0
		self.moves_taken = 0
		self.effect = "none"
		self.block = block()
		self.block.width = width
		self.block.height = height
		self.block.alpha = 100
		self.block.background = (0,0,0)
		self.x = x
		self.y = y
		self.block.set_screen(screen)