import pygame
from control.control_factory import *
from menu.menu_factory import *
from game_state import *
from game import *
import constants

#some test colors
black = (0,0,0,25)
white = (255,255,255,20)
red = (120,20,20,20)
blue = (20,20,120,20)
green = (20,120,20,20)

# game state flags
screen_alpha = 255
prev_status = -1
at_main_menu = 0
in_game = 1
in_game_pause = 2
mouse_is_pressed = False
status = 0
music_playing = False
# if no other flag is set
def draw_nothing():
	pass

# go the root of main menu
def execute_root_menu():
	global main_menu
	global status
	main_menu.menu = [m for m in main_menu.headings if m.name == "root"][0]
	status = at_main_menu
	
#go to the load menu
def execute_load_menu():
	global main_menu
	main_menu.menu = [m for m in main_menu.headings if m.name == "load"][0]
	
# play!
def start_game():
	global status
	global in_game
	status = in_game
	print("game starting")
	
def pause_game():
	global status
	global in_game_pause
	status = in_game_pause
	
def execute_quit():
	global done
	done = True

#set the width and height of the screen

size = (constants.SCREEN_WIDTH,constants.SCREEN_HEIGHT)
screen = constants.MAIN_SCREEN

#loop until the user clicks the close button

done = False

clock = pygame.time.Clock()

game = game(screen, size, execute_root_menu)

#initialize main menu
main_menu = new_main_menu(screen,"Main Menu",25,25, ((
new_game_state("root", "play", start_game), 
new_game_state("root", "quit", execute_quit))
))
#initialize pause menu
pause_menu = new_main_menu(screen,"Paused",25,25,(
new_game_state("root", "continue", start_game),
new_game_state("root", "exit", execute_root_menu)
))

# begin main loop	
while not done:
	global selecting
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			done = True
		elif event.type == pygame.KEYDOWN:
			key = pygame.key.get_pressed()
			if key[pygame.K_ESCAPE]:
				if status == in_game:
					status = in_game_pause
				elif status == in_game_pause:
					status = in_game
	if pygame.mouse.get_pressed()[0]:
		if mouse_is_pressed == False:
			mouse_is_pressed = True
			if status == at_main_menu:
				main_menu.raise_command()
			elif status == in_game_pause:
				pause_menu.raise_command()
	else:
		mouse_is_pressed = False
		
	#game logic
	if status == at_main_menu:
		main_menu.update_layout()
		
	elif status == in_game:
		game.update()
		
	elif status == in_game_pause:
		game.pause = True
		pause_menu.update_layout()
			
	#draw events
		
			
	#clear the screen
	screen.fill((255,255,255,255))
	
	#update screen
	
	if status == at_main_menu:
		music_playing = False
		main_menu.draw()
		screen.blit(constants.title_image,[255,26])
	elif status == in_game:
		if music_playing == False:
			music_playing = True
		game.draw()
	elif status == in_game_pause:
		if music_playing == False:
			music_playing = True
		game.draw()
		pause_menu.draw()
	
		
	pygame.display.flip()
	clock.tick(60)
	
pygame.quit()

# end main loop


	