import pygame
from control.control_factory import *
from animation.storyboard import *
import random
class main_menu:
	def __init__(self, screen,title, x, y, menu_items):
		self.headings = []
		children = []
		self.title = title
		for item in menu_items:
			category_exists = len([c for c in self.headings if c.name == item.name]) > 0
			slide_storyboard = storyboard(0,2,0,50,item.item_control.set_x)
			item.item_control.storyboards.append(slide_storyboard)
			if category_exists:
				[c for c in self.headings if c.name == item.name][0].children.append(item.item_control)
			else:
				self.headings.append(new_menu(item.name))
				[c for c in self.headings if c.name == item.name][0].children.append(item.item_control)
		for menu in self.headings:
			menu.set_screen(screen)
			menu.set_item_padding((0,2,0,0))
			menu.set_font_size(24)
			menu.set_pos(x,y)
			menu.set_text(title)
		self.menu = self.headings[0]
	
	def raise_command(self):
		for item in self.menu.children:
			if item.selected:
				item.command()
	
	def update_layout(self):
		x,y = pygame.mouse.get_pos()
		for child in self.menu.children:
				child_x = child.x
				child_y = child.y
				if child.storyboards != None and len(child.storyboards) > 0:				
					slider = child.storyboards[0]
					if child.hit_test(x,y):
						child.set_background(self.menu.highlighted_item_background)
						child.set_foreground(self.menu.highlighted_item_foreground)
						child.select()
						if child.selection_changed:
							slider.increment_value = 1
							slider.set_direction(1)
							slider.value_stop = 50
					
					else:
						child.set_background(self.menu.default_item_background)
						child.set_foreground(self.menu.default_item_foreground)
						child.unselect()
						if child.selection_changed:
							slider.increment_value = 1
							slider.set_direction(-1)
							slider.value_stop = 25
					child.animate()
		self.menu.text.block.background = (255,255,255,0)
	def draw(self):
		self.menu.draw()