
from scenes.scene import *
from entities.game_object import *
from entities.ground_01 import *
from entities.ground_02 import *
from entities.wall_01 import *
from entities.player import *
from entities.background_01 import *
from entities.special_bottom import *
from entities.special_top import * 
from entities.special_right import *
from entities.special_left import *
from entities.goal import *
from entities.refill import *
import constants
class scene_003(scene):
    def __init__(self,screen,completed):
        self.completed = completed
        self.completing = False
        self.main_player = None
        self.screen = screen
        self.game_objects = []
        self.viewport_offset_x = 0
        self.viewport_offset_y = 0
        self.min_viewport_x = 0
        self.min_viewport_y = 0
        self.max_viewport_x = constants.SCREEN_WIDTH
        self.max_viewport_y = constants.SCREEN_HEIGHT
        self.display = ""
        self.begin_text = ""
        self.win_text = ""
        self.title = "Level 3"
        self.game_objects.extend([
            #screen, name,x, y, width, height
            special_top(screen,"top", -10000, -10000, 100, 10) ,
            special_bottom(screen,"bottom", -10000, -10000, 100, 10) ,
            special_right(screen,"left", -10000, -10000, 100, 10) ,
            special_left(screen,"right", -10000, -10000, 100, 10) ,
			goal(screen,"goal", 780, 2808, 186, 72) ,
			refill(screen,"refill", 1470, 2808, 186, 72) ,
			refill(screen,"refill", 2742, 2784, 186, 72) ,
			refill(screen,"refill", 4068, 2784, 186, 72) ,
			refill(screen,"refill", 4092, 2346, 186, 72) ,
			refill(screen,"refill", 3426, 2358, 186, 72) ,
			refill(screen,"refill", 2814, 2346, 186, 72) ,
			refill(screen,"refill", 840, 2340, 186, 72) ,
			goal(screen,"goal", 2424, 186, 186, 72) ,
			ground_01(screen,"floor10", 2238, 276, 570, 72) ,
			ground_01(screen,"floor11", 3468, 636, 78, 72) ,
			ground_01(screen,"floor12", 3198, 1278, 78, 72) ,
			ground_01(screen,"floor13", 4074, 822, 78, 72) ,
			ground_01(screen,"floor14", 2772, 1740, 78, 72) ,
			ground_01(screen,"floor15", 3648, 1026, 78, 72) ,
			ground_01(screen,"floor16", 3804, 1464, 78, 72) ,
			ground_01(screen,"floor17", 3792, 936, 78, 72) ,
			ground_01(screen,"floor18", 3126, 282, 78, 72) ,
			ground_01(screen,"floor19", 3366, 1140, 78, 72) ,
			ground_01(screen,"floor20", 3378, 1668, 78, 72) ,
			ground_01(screen,"floor21", 3492, 744, 78, 72) ,
			ground_01(screen,"floor22", 3378, 1926, 78, 72) ,
			ground_01(screen,"floor23", 3492, 894, 78, 72) ,
			ground_01(screen,"floor24", 3522, 1578, 78, 72) ,
			ground_01(screen,"floor25", 3618, 894, 78, 72) ,
			ground_01(screen,"floor26", 2700, 486, 78, 72) ,
			ground_01(screen,"floor27", 3924, 744, 78, 72) ,
			ground_01(screen,"floor28", 3096, 1782, 78, 72) ,
			ground_01(screen,"floor29", 3498, 948, 78, 72) ,
			ground_01(screen,"floor30", 2952, 2130, 78, 72) ,
			ground_01(screen,"floor31", 3978, 630, 78, 72) ,
			ground_01(screen,"floor32", 3222, 1386, 78, 72) ,
			ground_01(screen,"floor33", 3552, 834, 78, 72) ,
			ground_01(screen,"floor34", 3732, 468, 78, 72) ,
			ground_01(screen,"floor35", 3852, 552, 78, 72) ,
			ground_01(screen,"floor36", 3222, 1536, 78, 72) ,
			ground_01(screen,"floor37", 3426, 756, 78, 72) ,
			ground_01(screen,"floor38", 3096, 2040, 78, 72) ,
			ground_01(screen,"floor39", 3792, 672, 78, 72) ,
			ground_01(screen,"floor40", 3348, 1536, 78, 72) ,
			ground_01(screen,"floor41", 3366, 876, 78, 72) ,
			ground_01(screen,"floor42", 3306, 672, 78, 72) ,
			ground_01(screen,"floor43", 3852, 822, 78, 72) ,
			ground_01(screen,"floor44", 3654, 1386, 78, 72) ,
			ground_01(screen,"floor45", 3426, 1026, 78, 72) ,
			ground_01(screen,"floor46", 2670, 2244, 78, 72) ,
			ground_01(screen,"floor47", 3720, 822, 78, 72) ,
			ground_01(screen,"floor48", 3228, 1590, 78, 72) ,
			ground_01(screen,"floor49", 3618, 672, 78, 72) ,
			ground_01(screen,"floor50", 3450, 582, 78, 72) ,
			ground_01(screen,"floor51", 3720, 552, 78, 72) ,
			ground_01(screen,"floor52", 3546, 552, 78, 72) ,
			ground_01(screen,"floor53", 3708, 1272, 78, 72) ,
			ground_01(screen,"floor54", 2796, 1848, 78, 72) ,
			ground_01(screen,"floor55", 3282, 1476, 78, 72) ,
			ground_01(screen,"floor56", 3024, 786, 78, 72) ,
			ground_01(screen,"floor57", 3582, 1194, 78, 72) ,
			ground_01(screen,"floor58", 2796, 1998, 78, 72) ,
			ground_01(screen,"floor59", 3156, 1398, 78, 72) ,
			ground_01(screen,"floor60", 3150, 390, 78, 72) ,
			ground_01(screen,"floor61", 3522, 1314, 78, 72) ,
			ground_01(screen,"floor62", 2922, 1998, 78, 72) ,
			ground_01(screen,"floor63", 3096, 1518, 78, 72) ,
			ground_01(screen,"floor64", 2724, 594, 78, 72) ,
			ground_01(screen,"floor65", 3582, 1464, 78, 72) ,
			ground_01(screen,"floor66", 3228, 1848, 78, 72) ,
			ground_01(screen,"floor67", 3156, 1668, 78, 72) ,
			ground_01(screen,"floor68", 3150, 540, 78, 72) ,
			ground_01(screen,"floor69", 3450, 1464, 78, 72) ,
			ground_01(screen,"floor70", 2802, 2052, 78, 72) ,
			ground_01(screen,"floor71", 3348, 1314, 78, 72) ,
			ground_01(screen,"floor72", 2724, 744, 78, 72) ,
			ground_01(screen,"floor73", 3450, 1194, 78, 72) ,
			ground_01(screen,"floor74", 3276, 1194, 78, 72) ,
			ground_01(screen,"floor75", 3282, 1734, 78, 72) ,
			ground_01(screen,"floor76", 3276, 540, 78, 72) ,
			ground_01(screen,"floor77", 2856, 1938, 78, 72) ,
			ground_01(screen,"floor78", 2850, 744, 78, 72) ,
			ground_01(screen,"floor79", 3156, 1656, 78, 72) ,
			ground_01(screen,"floor80", 3582, 390, 78, 72) ,
			ground_01(screen,"floor81", 2730, 1860, 78, 72) ,
			ground_01(screen,"floor82", 3156, 594, 78, 72) ,
			ground_01(screen,"floor83", 3096, 1776, 78, 72) ,
			ground_01(screen,"floor84", 3636, 276, 78, 72) ,
			ground_01(screen,"floor85", 2670, 1980, 78, 72) ,
			ground_01(screen,"floor86", 3210, 480, 78, 72) ,
			ground_01(screen,"floor87", 3156, 1926, 78, 72) ,
			ground_01(screen,"floor88", 3510, 198, 78, 72) ,
			ground_01(screen,"floor89", 2730, 2130, 78, 72) ,
			ground_01(screen,"floor90", 3084, 402, 78, 72) ,
			ground_01(screen,"floor91", 3024, 1926, 78, 72) ,
			ground_01(screen,"floor92", 2922, 1776, 78, 72) ,
			ground_01(screen,"floor93", 3450, 318, 78, 72) ,
			ground_01(screen,"floor94", 3024, 1656, 78, 72) ,
			ground_01(screen,"floor95", 3024, 522, 78, 72) ,
			ground_01(screen,"floor96", 2850, 1656, 78, 72) ,
			ground_01(screen,"floor97", 3510, 468, 78, 72) ,
			ground_01(screen,"floor98", 3084, 672, 78, 72) ,
			ground_01(screen,"floor99", 3378, 468, 78, 72) ,
			ground_01(screen,"floor100", 2952, 672, 78, 72) ,
			ground_01(screen,"floor101", 3276, 318, 78, 72) ,
			ground_01(screen,"floor102", 3378, 198, 78, 72) ,
			ground_01(screen,"floor103", 2850, 522, 78, 72) ,
			ground_01(screen,"floor104", 3204, 198, 78, 72) ,
			ground_01(screen,"floor105", 2952, 402, 78, 72) ,
			ground_01(screen,"floor106", 2778, 402, 78, 72) ,
			ground_01(screen,"floor107", 1710, 402, 78, 72) ,
			ground_01(screen,"floor108", 1218, 390, 78, 72) ,
			ground_01(screen,"floor109", 2316, 588, 78, 72) ,
			ground_01(screen,"floor110", 1326, 858, 78, 72) ,
			ground_01(screen,"floor111", 2034, 702, 78, 72) ,
			ground_01(screen,"floor112", 1650, 390, 78, 72) ,
			ground_01(screen,"floor113", 1734, 510, 78, 72) ,
			ground_01(screen,"floor114", 1728, 1584, 78, 72) ,
			ground_01(screen,"floor115", 1734, 660, 78, 72) ,
			ground_01(screen,"floor116", 1704, 276, 78, 72) ,
			ground_01(screen,"floor117", 1860, 660, 78, 72) ,
			ground_01(screen,"floor118", 1026, 666, 78, 72) ,
			ground_01(screen,"floor119", 2166, 510, 78, 72) ,
			ground_01(screen,"floor120", 1578, 198, 78, 72) ,
			ground_01(screen,"floor121", 2220, 396, 78, 72) ,
			ground_01(screen,"floor122", 3570, 2442, 78, 60) ,
			ground_01(screen,"floor123", 2094, 318, 78, 72) ,
			ground_01(screen,"floor124", 1518, 318, 78, 72) ,
			ground_01(screen,"floor125", 2034, 438, 78, 72) ,
			ground_01(screen,"floor126", 1026, 816, 78, 72) ,
			ground_01(screen,"floor127", 2094, 588, 78, 72) ,
			ground_01(screen,"floor128", 1578, 468, 78, 72) ,
			ground_01(screen,"floor129", 1962, 588, 78, 72) ,
			ground_01(screen,"floor130", 1458, 1116, 78, 72) ,
			ground_01(screen,"floor131", 1860, 438, 78, 72) ,
			ground_01(screen,"floor132", 1446, 468, 78, 72) ,
			ground_01(screen,"floor133", 1962, 318, 78, 72) ,
			ground_01(screen,"floor134", 1788, 318, 78, 72) ,
			ground_01(screen,"floor135", 1152, 816, 78, 72) ,
			ground_01(screen,"floor136", 1344, 318, 78, 72) ,
			ground_01(screen,"floor137", 1548, 1614, 78, 72) ,
			ground_01(screen,"floor138", 1446, 198, 78, 72) ,
			ground_01(screen,"floor139", 1272, 198, 78, 72) ,
			ground_01(screen,"floor140", 1458, 666, 78, 72) ,
			ground_01(screen,"floor141", 324, 2442, 78, 60) ,
			ground_01(screen,"floor142", 1524, 978, 78, 72) ,
			ground_01(screen,"floor143", 1752, 1692, 78, 72) ,
			ground_01(screen,"floor144", 1512, 552, 78, 72) ,
			ground_01(screen,"floor145", 2952, 2442, 78, 60) ,
			ground_01(screen,"floor146", 1452, 858, 78, 72) ,
			ground_01(screen,"floor147", 1248, 1422, 78, 72) ,
			ground_01(screen,"floor148", 1386, 474, 78, 72) ,
			ground_01(screen,"floor149", 1620, 2442, 78, 60) ,
			ground_01(screen,"floor150", 1326, 594, 78, 72) ,
			ground_01(screen,"floor151", 1248, 1572, 78, 72) ,
			ground_01(screen,"floor152", 1386, 744, 78, 72) ,
			ground_01(screen,"floor153", 4248, 2442, 78, 60) ,
			ground_01(screen,"floor154", 1254, 744, 78, 72) ,
			ground_01(screen,"floor155", 1374, 1572, 78, 72) ,
			ground_01(screen,"floor156", 1152, 594, 78, 72) ,
			ground_01(screen,"floor157", 1002, 2442, 78, 60) ,
			ground_01(screen,"floor158", 1254, 474, 78, 72) ,
			ground_01(screen,"floor159", 1680, 1422, 78, 72) ,
			ground_01(screen,"floor160", 1080, 474, 78, 72) ,
			ground_01(screen,"floor161", 4176, 2628, 78, 60) ,
			ground_01(screen,"floor162", 1734, 1308, 78, 72) ,
			ground_01(screen,"floor163", 2298, 2442, 78, 60) ,
			ground_01(screen,"floor164", 1806, 1500, 78, 72) ,
			ground_01(screen,"floor165", 3558, 2628, 78, 60) ,
			ground_01(screen,"floor166", 1608, 1230, 78, 72) ,
			ground_01(screen,"floor167", 930, 2628, 78, 60) ,
			ground_01(screen,"floor168", 1548, 1350, 78, 72) ,
			ground_01(screen,"floor169", 3894, 2742, 78, 60) ,
			ground_01(screen,"floor170", 1608, 1500, 78, 72) ,
			ground_01(screen,"floor171", 2226, 2628, 78, 60) ,
			ground_01(screen,"floor172", 1476, 1500, 78, 72) ,
			ground_01(screen,"floor173", 4854, 2628, 78, 60) ,
			ground_01(screen,"floor174", 1476, 1230, 78, 72) ,
			ground_01(screen,"floor175", 648, 2742, 78, 60) ,
			ground_01(screen,"floor176", 3594, 2550, 78, 60) ,
			ground_01(screen,"floor177", 2142, 2010, 78, 72) ,
			ground_01(screen,"floor178", 3276, 2742, 78, 60) ,
			ground_01(screen,"floor179", 1608, 2628, 78, 60) ,
			ground_01(screen,"floor180", 3594, 2700, 78, 60) ,
			ground_01(screen,"floor181", 1944, 2742, 78, 60) ,
			ground_01(screen,"floor182", 4572, 2742, 78, 60) ,
			ground_01(screen,"floor183", 348, 2550, 78, 60) ,
			ground_01(screen,"floor184", 2976, 2550, 78, 60) ,
			ground_01(screen,"floor185", 2904, 2628, 78, 60) ,
			ground_01(screen,"floor186", 3720, 2700, 78, 60) ,
			ground_01(screen,"floor187", 348, 2700, 78, 60) ,
			ground_01(screen,"floor188", 4026, 2550, 78, 60) ,
			ground_01(screen,"floor189", 1644, 2550, 78, 60) ,
			ground_01(screen,"floor190", 2976, 2700, 78, 60) ,
			ground_01(screen,"floor191", 1326, 2742, 78, 60) ,
			ground_01(screen,"floor192", 4272, 2550, 78, 60) ,
			ground_01(screen,"floor193", 2214, 594, 78, 72) ,
			ground_01(screen,"floor194", 4080, 2436, 78, 60) ,
			ground_01(screen,"floor195", 474, 2700, 78, 60) ,
			ground_01(screen,"floor196", 3102, 2700, 78, 60) ,
			ground_01(screen,"floor197", 1644, 2700, 78, 60) ,
			ground_01(screen,"floor198", 3954, 2358, 78, 60) ,
			ground_01(screen,"floor199", 780, 2550, 78, 60) ,
			ground_01(screen,"floor200", 4272, 2700, 78, 60) ,
			ground_01(screen,"floor201", 2622, 2742, 78, 60) ,
			ground_01(screen,"floor202", 3894, 2478, 78, 60) ,
			ground_01(screen,"floor203", 1026, 2550, 78, 60) ,
			ground_01(screen,"floor204", 3408, 2550, 78, 60) ,
			ground_01(screen,"floor205", 1770, 2700, 78, 60) ,
			ground_01(screen,"floor206", 3954, 2628, 78, 60) ,
			ground_01(screen,"floor207", 834, 2436, 78, 60) ,
			ground_01(screen,"floor208", 4398, 2700, 78, 60) ,
			ground_01(screen,"floor209", 2748, 2196, 78, 72) ,
			ground_01(screen,"floor210", 3462, 2436, 78, 60) ,
			ground_01(screen,"floor211", 708, 2358, 78, 60) ,
			ground_01(screen,"floor212", 3822, 2628, 78, 60) ,
			ground_01(screen,"floor213", 2076, 2550, 78, 60) ,
			ground_01(screen,"floor214", 3336, 2358, 78, 60) ,
			ground_01(screen,"floor215", 3276, 2478, 78, 60) ,
			ground_01(screen,"floor216", 1026, 2700, 78, 60) ,
			ground_01(screen,"floor217", 3720, 2478, 78, 60) ,
			ground_01(screen,"floor218", 2322, 2550, 78, 60) ,
			ground_01(screen,"floor219", 3336, 2628, 78, 60) ,
			ground_01(screen,"floor220", 648, 2478, 78, 60) ,
			ground_01(screen,"floor221", 4704, 2550, 78, 60) ,
			ground_01(screen,"floor222", 2130, 2436, 78, 60) ,
			ground_01(screen,"floor223", 3204, 2628, 78, 60) ,
			ground_01(screen,"floor224", 708, 2628, 78, 60) ,
			ground_01(screen,"floor225", 3822, 2358, 78, 60) ,
			ground_01(screen,"floor226", 1872, 1542, 78, 72) ,
			ground_01(screen,"floor227", 3102, 2478, 78, 60) ,
			ground_01(screen,"floor228", 1152, 2700, 78, 60) ,
			ground_01(screen,"floor229", 3648, 2358, 78, 60) ,
			ground_01(screen,"floor230", 2004, 2358, 78, 60) ,
			ground_01(screen,"floor231", 3204, 2358, 78, 60) ,
			ground_01(screen,"floor232", 576, 2628, 78, 60) ,
			ground_01(screen,"floor233", 3030, 2358, 78, 60) ,
			ground_01(screen,"floor234", 2322, 2700, 78, 60) ,
			ground_01(screen,"floor235", 4758, 2436, 78, 60) ,
			ground_01(screen,"floor236", 474, 2478, 78, 60) ,
			ground_01(screen,"floor237", 4632, 2358, 78, 60) ,
			ground_01(screen,"floor238", 1944, 2478, 78, 60) ,
			ground_01(screen,"floor239", 4572, 2478, 78, 60) ,
			ground_01(screen,"floor240", 1458, 2550, 78, 60) ,
			ground_01(screen,"floor241", 4632, 2628, 78, 60) ,
			ground_01(screen,"floor242", 2466, 2340, 78, 72) ,
			ground_01(screen,"floor243", 4500, 2628, 78, 60) ,
			ground_01(screen,"floor244", 576, 2358, 78, 60) ,
			ground_01(screen,"floor245", 4398, 2478, 78, 60) ,
			ground_01(screen,"floor246", 2004, 2628, 78, 60) ,
			ground_01(screen,"floor247", 4500, 2358, 78, 60) ,
			ground_01(screen,"floor248", 402, 2358, 78, 60) ,
			ground_01(screen,"floor249", 4326, 2358, 78, 60) ,
			ground_01(screen,"floor250", 2448, 2700, 78, 60) ,
			ground_01(screen,"floor251", 1512, 2436, 78, 60) ,
			ground_01(screen,"floor252", 1872, 2628, 78, 60) ,
			ground_01(screen,"floor253", 1386, 2358, 78, 60) ,
			ground_01(screen,"floor254", 1962, 2040, 78, 72) ,
			ground_01(screen,"floor255", 1326, 2478, 78, 60) ,
			ground_01(screen,"floor256", 1770, 2478, 78, 60) ,
			ground_01(screen,"floor257", 1386, 2628, 78, 60) ,
			ground_01(screen,"floor258", 2754, 2550, 78, 60) ,
			ground_01(screen,"floor259", 1254, 2628, 78, 60) ,
			ground_01(screen,"floor260", 1872, 2358, 78, 60) ,
			ground_01(screen,"floor261", 1152, 2478, 78, 60) ,
			ground_01(screen,"floor262", 1698, 2358, 78, 60) ,
			ground_01(screen,"floor263", 1254, 2358, 78, 60) ,
			ground_01(screen,"floor264", 2166, 2118, 78, 72) ,
			ground_01(screen,"floor265", 1080, 2358, 78, 60) ,
			ground_01(screen,"floor266", 2808, 2436, 78, 60) ,
			ground_01(screen,"floor267", 2820, 780, 78, 72) ,
			ground_01(screen,"floor268", 2682, 2358, 78, 60) ,
			ground_01(screen,"floor269", 2166, 2268, 78, 72) ,
			ground_01(screen,"floor270", 2622, 2478, 78, 60) ,
			ground_01(screen,"floor271", 1662, 1848, 78, 72) ,
			ground_01(screen,"floor272", 2682, 2628, 78, 60) ,
			ground_01(screen,"floor273", 2292, 2268, 78, 72) ,
			ground_01(screen,"floor274", 2550, 2628, 78, 60) ,
			ground_01(screen,"floor275", 1248, 1308, 78, 72) ,
			ground_01(screen,"floor276", 2448, 2478, 78, 60) ,
			ground_01(screen,"floor277", 2598, 2118, 78, 72) ,
			ground_01(screen,"floor278", 2550, 2358, 78, 60) ,
			ground_01(screen,"floor279", 1662, 1998, 78, 72) ,
			ground_01(screen,"floor280", 2376, 2358, 78, 60) ,
			ground_01(screen,"floor281", 2652, 2004, 78, 72) ,
			ground_01(screen,"floor282", 2538, 894, 78, 72) ,
			ground_01(screen,"floor283", 2526, 1926, 78, 72) ,
			ground_01(screen,"floor284", 1788, 1998, 78, 72) ,
			ground_01(screen,"floor285", 2466, 2046, 78, 72) ,
			ground_01(screen,"floor286", 948, 1116, 78, 72) ,
			ground_01(screen,"floor287", 2526, 2196, 78, 72) ,
			ground_01(screen,"floor288", 2094, 1848, 78, 72) ,
			ground_01(screen,"floor289", 2394, 2196, 78, 72) ,
			ground_01(screen,"floor290", 2238, 702, 78, 72) ,
			ground_01(screen,"floor291", 2292, 2046, 78, 72) ,
			ground_01(screen,"floor292", 2148, 1734, 78, 72) ,
			ground_01(screen,"floor293", 2394, 1926, 78, 72) ,
			ground_01(screen,"floor294", 948, 1266, 78, 72) ,
			ground_01(screen,"floor295", 2220, 1926, 78, 72) ,
			ground_01(screen,"floor296", 2022, 1656, 78, 72) ,
			ground_01(screen,"floor297", 2238, 852, 78, 72) ,
			ground_01(screen,"floor298", 1962, 1776, 78, 72) ,
			ground_01(screen,"floor299", 1074, 1266, 78, 72) ,
			ground_01(screen,"floor300", 2022, 1926, 78, 72) ,
			ground_01(screen,"floor301", 2364, 852, 78, 72) ,
			ground_01(screen,"floor302", 1890, 1926, 78, 72) ,
			ground_01(screen,"floor303", 1380, 1116, 78, 72) ,
			ground_01(screen,"floor304", 1446, 1428, 78, 72) ,
			ground_01(screen,"floor305", 2670, 702, 78, 72) ,
			ground_01(screen,"floor306", 1890, 1656, 78, 72) ,
			ground_01(screen,"floor307", 1434, 1002, 78, 72) ,
			ground_01(screen,"floor308", 1374, 1308, 78, 72) ,
			ground_01(screen,"floor309", 2724, 588, 78, 72) ,
			ground_01(screen,"floor310", 1308, 924, 78, 72) ,
			ground_01(screen,"floor311", 2598, 510, 78, 72) ,
			ground_01(screen,"floor312", 1248, 1044, 78, 72) ,
			ground_01(screen,"floor313", 2538, 630, 78, 72) ,
			ground_01(screen,"floor314", 1308, 1194, 78, 72) ,
			ground_01(screen,"floor315", 2598, 780, 78, 72) ,
			ground_01(screen,"floor316", 1176, 1194, 78, 72) ,
			ground_01(screen,"floor317", 2466, 780, 78, 72) ,
			ground_01(screen,"floor318", 1074, 1044, 78, 72) ,
			ground_01(screen,"floor319", 2364, 630, 78, 72) ,
			ground_01(screen,"floor320", 1176, 924, 78, 72) ,
			ground_01(screen,"floor321", 2466, 510, 78, 72) ,
			ground_01(screen,"floor322", 1002, 924, 78, 72) ,
			ground_01(screen,"floor323", 2292, 510, 78, 72) ,
			ground_01(screen,"floor324", 138, 2898, 5130, 156) ,
			ground_01(screen,"floor325", 5118, -234, 168, 3288) ,
			ground_01(screen,"floor326", 120, -234, 168, 3288) ,
			player(screen,"player", 402, 2046, constants.PLAYER_WIDTH,constants.PLAYER_HEIGHT) ,

        ])
        self.viewport_offset_x = -402
        self.viewport_offset_y = -2046