
from scenes.scene import *
from entities.game_object import *
from entities.ground_01 import *
from entities.ground_02 import *
from entities.wall_01 import *
from entities.player import *
from entities.background_01 import *
from entities.special_bottom import *
from entities.special_top import * 
from entities.special_right import *
from entities.special_left import *
from entities.goal import *
from entities.refill import *
import constants
class scene_004(scene):
    def __init__(self,screen,completed):
        self.completed = completed
        self.completing = False
        self.main_player = None
        self.screen = screen
        self.game_objects = []
        self.viewport_offset_x = 0
        self.viewport_offset_y = 0
        self.min_viewport_x = 0
        self.min_viewport_y = 0
        self.max_viewport_x = constants.SCREEN_WIDTH
        self.max_viewport_y = constants.SCREEN_HEIGHT
        self.display = ""
        self.begin_text = ""
        self.win_text = ""
        self.title = "Level 4"
        self.game_objects.extend([
            #screen, name,x, y, width, height
            special_top(screen,"top", -10000, -10000, 100, 10) ,
            special_bottom(screen,"bottom", -10000, -10000, 100, 10) ,
            special_right(screen,"left", -10000, -10000, 100, 10) ,
            special_left(screen,"right", -10000, -10000, 100, 10) ,
			refill(screen,"refill", 672, 3072, 192, 90) ,
			refill(screen,"refill", 3852, 3030, 192, 90) ,
			refill(screen,"refill", 2328, 2610, 192, 90) ,
			ground_01(screen,"floor4", 3600, 1476, 78, 72) ,
			ground_01(screen,"floor5", 1428, 1476, 78, 72) ,
			ground_01(screen,"floor6", 3354, 1476, 78, 72) ,
			ground_01(screen,"floor7", 3600, 1578, 78, 72) ,
			ground_01(screen,"floor8", 1182, 1476, 78, 72) ,
			ground_01(screen,"floor9", 3600, 1692, 78, 72) ,
			ground_01(screen,"floor10", 2574, 216, 78, 72) ,
			ground_01(screen,"floor11", 3354, 1578, 78, 72) ,
			ground_01(screen,"floor12", 1428, 1578, 78, 72) ,
			ground_01(screen,"floor13", 3600, 1806, 78, 72) ,
			ground_01(screen,"floor14", 2574, 678, 78, 72) ,
			ground_01(screen,"floor15", 3480, 1578, 78, 72) ,
			ground_01(screen,"floor16", 1428, 1692, 78, 72) ,
			ground_01(screen,"floor17", 3354, 1692, 78, 72) ,
			ground_01(screen,"floor18", 2328, 216, 78, 72) ,
			ground_01(screen,"floor19", 3480, 1698, 78, 72) ,
			ground_01(screen,"floor20", 1182, 1578, 78, 72) ,
			ground_01(screen,"floor21", 3480, 1812, 78, 72) ,
			ground_01(screen,"floor22", 2574, 318, 78, 72) ,
			ground_01(screen,"floor23", 3354, 1806, 78, 72) ,
			ground_01(screen,"floor24", 1428, 1806, 78, 72) ,
			ground_01(screen,"floor25", 3474, 1476, 78, 72) ,
			ground_01(screen,"floor26", 3234, 1578, 78, 72) ,
			ground_01(screen,"floor27", 2574, 1122, 78, 72) ,
			ground_01(screen,"floor28", 3234, 1698, 78, 72) ,
			ground_01(screen,"floor29", 1308, 1578, 78, 72) ,
			ground_01(screen,"floor30", 3234, 1812, 78, 72) ,
			ground_01(screen,"floor31", 2574, 432, 78, 72) ,
			ground_01(screen,"floor32", 3228, 1476, 78, 72) ,
			ground_01(screen,"floor33", 1182, 1692, 78, 72) ,
			ground_01(screen,"floor34", 2328, 678, 78, 72) ,
			ground_01(screen,"floor35", 1308, 1698, 78, 72) ,
			ground_01(screen,"floor36", 2328, 318, 78, 72) ,
			ground_01(screen,"floor37", 1308, 1812, 78, 72) ,
			ground_01(screen,"floor38", 2574, 780, 78, 72) ,
			ground_01(screen,"floor39", 1182, 1806, 78, 72) ,
			ground_01(screen,"floor40", 2574, 546, 78, 72) ,
			ground_01(screen,"floor41", 1302, 1476, 78, 72) ,
			ground_01(screen,"floor42", 3312, 2352, 78, 72) ,
			ground_01(screen,"floor43", 1062, 1578, 78, 72) ,
			ground_01(screen,"floor44", 2454, 318, 78, 72) ,
			ground_01(screen,"floor45", 1062, 1698, 78, 72) ,
			ground_01(screen,"floor46", 2574, 894, 78, 72) ,
			ground_01(screen,"floor47", 1062, 1812, 78, 72) ,
			ground_01(screen,"floor48", 2328, 432, 78, 72) ,
			ground_01(screen,"floor49", 1056, 1476, 78, 72) ,
			ground_01(screen,"floor50", 2328, 1122, 78, 72) ,
			ground_01(screen,"floor51", 2454, 438, 78, 72) ,
			ground_01(screen,"floor52", 2328, 780, 78, 72) ,
			ground_01(screen,"floor53", 2454, 552, 78, 72) ,
			ground_01(screen,"floor54", 570, 1338, 78, 72) ,
			ground_01(screen,"floor55", 2328, 546, 78, 72) ,
			ground_01(screen,"floor56", 2574, 1008, 78, 72) ,
			ground_01(screen,"floor57", 2448, 216, 78, 72) ,
			ground_01(screen,"floor58", 2574, 1224, 78, 72) ,
			ground_01(screen,"floor59", 2208, 318, 78, 72) ,
			ground_01(screen,"floor60", 2454, 780, 78, 72) ,
			ground_01(screen,"floor61", 2208, 438, 78, 72) ,
			ground_01(screen,"floor62", 2574, 2718, 78, 72) ,
			ground_01(screen,"floor63", 2208, 552, 78, 72) ,
			ground_01(screen,"floor64", 2328, 894, 78, 72) ,
			ground_01(screen,"floor65", 2202, 216, 78, 72) ,
			ground_01(screen,"floor66", 2574, 1338, 78, 72) ,
			ground_01(screen,"floor67", 2454, 900, 78, 72) ,
			ground_01(screen,"floor68", 4644, 1338, 78, 72) ,
			ground_01(screen,"floor69", 2454, 1014, 78, 72) ,
			ground_01(screen,"floor70", 2328, 1224, 78, 72) ,
			ground_01(screen,"floor71", 2328, 1008, 78, 72) ,
			ground_01(screen,"floor72", 3066, 2352, 78, 72) ,
			ground_01(screen,"floor73", 2448, 678, 78, 72) ,
			ground_01(screen,"floor74", 2574, 1452, 78, 72) ,
			ground_01(screen,"floor75", 2208, 780, 78, 72) ,
			ground_01(screen,"floor76", 570, 1440, 78, 72) ,
			ground_01(screen,"floor77", 2208, 900, 78, 72) ,
			ground_01(screen,"floor78", 2454, 1224, 78, 72) ,
			ground_01(screen,"floor79", 2208, 1014, 78, 72) ,
			ground_01(screen,"floor80", 1710, 2358, 78, 72) ,
			ground_01(screen,"floor81", 2202, 678, 78, 72) ,
			ground_01(screen,"floor82", 2328, 1338, 78, 72) ,
			ground_01(screen,"floor83", 570, 1554, 78, 72) ,
			ground_01(screen,"floor84", 2454, 1344, 78, 72) ,
			ground_01(screen,"floor85", 3312, 2454, 78, 72) ,
			ground_01(screen,"floor86", 2454, 1458, 78, 72) ,
			ground_01(screen,"floor87", 3600, 1920, 78, 72) ,
			ground_01(screen,"floor88", 2328, 1452, 78, 72) ,
			ground_01(screen,"floor89", 2328, 2718, 78, 72) ,
			ground_01(screen,"floor90", 2448, 1122, 78, 72) ,
			ground_01(screen,"floor91", 570, 1668, 78, 72) ,
			ground_01(screen,"floor92", 2208, 1224, 78, 72) ,
			ground_01(screen,"floor93", 3312, 2568, 78, 72) ,
			ground_01(screen,"floor94", 2208, 1344, 78, 72) ,
			ground_01(screen,"floor95", 4398, 1338, 78, 72) ,
			ground_01(screen,"floor96", 2208, 1458, 78, 72) ,
			ground_01(screen,"floor97", 2574, 2820, 78, 72) ,
			ground_01(screen,"floor98", 2202, 1122, 78, 72) ,
			ground_01(screen,"floor99", 2574, 1554, 78, 72) ,
			ground_01(screen,"floor100", 3066, 2454, 78, 72) ,
			ground_01(screen,"floor101", 4644, 1440, 78, 72) ,
			ground_01(screen,"floor102", 3312, 2682, 78, 72) ,
			ground_01(screen,"floor103", 3354, 1920, 78, 72) ,
			ground_01(screen,"floor104", 2574, 2934, 78, 72) ,
			ground_01(screen,"floor105", 4644, 1554, 78, 72) ,
			ground_01(screen,"floor106", 3192, 2454, 78, 72) ,
			ground_01(screen,"floor107", 1428, 1926, 78, 72) ,
			ground_01(screen,"floor108", 1464, 2358, 78, 72) ,
			ground_01(screen,"floor109", 3066, 2568, 78, 72) ,
			ground_01(screen,"floor110", 4398, 1440, 78, 72) ,
			ground_01(screen,"floor111", 2328, 2820, 78, 72) ,
			ground_01(screen,"floor112", 3600, 2022, 78, 72) ,
			ground_01(screen,"floor113", 3192, 2574, 78, 72) ,
			ground_01(screen,"floor114", 4644, 1668, 78, 72) ,
			ground_01(screen,"floor115", 1710, 2460, 78, 72) ,
			ground_01(screen,"floor116", 2328, 1554, 78, 72) ,
			ground_01(screen,"floor117", 3192, 2688, 78, 72) ,
			ground_01(screen,"floor118", 4524, 1440, 78, 72) ,
			ground_01(screen,"floor119", 2574, 3048, 78, 72) ,
			ground_01(screen,"floor120", 3600, 2136, 78, 72) ,
			ground_01(screen,"floor121", 3066, 2682, 78, 72) ,
			ground_01(screen,"floor122", 4398, 1554, 78, 72) ,
			ground_01(screen,"floor123", 3186, 2352, 78, 72) ,
			ground_01(screen,"floor124", 2574, 1656, 78, 72) ,
			ground_01(screen,"floor125", 2946, 2454, 78, 72) ,
			ground_01(screen,"floor126", 4524, 1560, 78, 72) ,
			ground_01(screen,"floor127", 2454, 2820, 78, 72) ,
			ground_01(screen,"floor128", 3354, 2022, 78, 72) ,
			ground_01(screen,"floor129", 2946, 2574, 78, 72) ,
			ground_01(screen,"floor130", 4524, 1674, 78, 72) ,
			ground_01(screen,"floor131", 1710, 2574, 78, 72) ,
			ground_01(screen,"floor132", 444, 1338, 78, 72) ,
			ground_01(screen,"floor133", 2946, 2688, 78, 72) ,
			ground_01(screen,"floor134", 4398, 1668, 78, 72) ,
			ground_01(screen,"floor135", 2328, 2934, 78, 72) ,
			ground_01(screen,"floor136", 3600, 2250, 78, 72) ,
			ground_01(screen,"floor137", 2940, 2352, 78, 72) ,
			ground_01(screen,"floor138", 4518, 1338, 78, 72) ,
			ground_01(screen,"floor139", 2454, 2940, 78, 72) ,
			ground_01(screen,"floor140", 4278, 1440, 78, 72) ,
			ground_01(screen,"floor141", 1464, 2460, 78, 72) ,
			ground_01(screen,"floor142", 2574, 1770, 78, 72) ,
			ground_01(screen,"floor143", 2454, 3054, 78, 72) ,
			ground_01(screen,"floor144", 4278, 1560, 78, 72) ,
			ground_01(screen,"floor145", 2328, 3048, 78, 72) ,
			ground_01(screen,"floor146", 3480, 2022, 78, 72) ,
			ground_01(screen,"floor147", 1710, 2688, 78, 72) ,
			ground_01(screen,"floor148", 4278, 1674, 78, 72) ,
			ground_01(screen,"floor149", 2448, 2718, 78, 72) ,
			ground_01(screen,"floor150", 1182, 1926, 78, 72) ,
			ground_01(screen,"floor151", 2208, 2820, 78, 72) ,
			ground_01(screen,"floor152", 4272, 1338, 78, 72) ,
			ground_01(screen,"floor153", 1590, 2460, 78, 72) ,
			ground_01(screen,"floor154", 3354, 2136, 78, 72) ,
			ground_01(screen,"floor155", 2208, 2940, 78, 72) ,
			ground_01(screen,"floor156", 2328, 1656, 78, 72) ,
			ground_01(screen,"floor157", 2208, 3054, 78, 72) ,
			ground_01(screen,"floor158", 3480, 2142, 78, 72) ,
			ground_01(screen,"floor159", 1464, 2574, 78, 72) ,
			ground_01(screen,"floor160", 1428, 2028, 78, 72) ,
			ground_01(screen,"floor161", 2202, 2718, 78, 72) ,
			ground_01(screen,"floor162", 3480, 2256, 78, 72) ,
			ground_01(screen,"floor163", 1590, 2580, 78, 72) ,
			ground_01(screen,"floor164", 2574, 1884, 78, 72) ,
			ground_01(screen,"floor165", 1590, 2694, 78, 72) ,
			ground_01(screen,"floor166", 3354, 2250, 78, 72) ,
			ground_01(screen,"floor167", 1464, 2688, 78, 72) ,
			ground_01(screen,"floor168", 198, 1338, 78, 72) ,
			ground_01(screen,"floor169", 1584, 2358, 78, 72) ,
			ground_01(screen,"floor170", 3474, 1920, 78, 72) ,
			ground_01(screen,"floor171", 1344, 2460, 78, 72) ,
			ground_01(screen,"floor172", 3234, 2022, 78, 72) ,
			ground_01(screen,"floor173", 1344, 2580, 78, 72) ,
			ground_01(screen,"floor174", 2454, 1656, 78, 72) ,
			ground_01(screen,"floor175", 1344, 2694, 78, 72) ,
			ground_01(screen,"floor176", 3234, 2142, 78, 72) ,
			ground_01(screen,"floor177", 1338, 2358, 78, 72) ,
			ground_01(screen,"floor178", 1428, 2142, 78, 72) ,
			ground_01(screen,"floor179", 3234, 2256, 78, 72) ,
			ground_01(screen,"floor180", 2328, 1770, 78, 72) ,
			ground_01(screen,"floor181", 3228, 1920, 78, 72) ,
			ground_01(screen,"floor182", 444, 1440, 78, 72) ,
			ground_01(screen,"floor183", 2454, 1776, 78, 72) ,
			ground_01(screen,"floor184", 1182, 2028, 78, 72) ,
			ground_01(screen,"floor185", 2454, 1890, 78, 72) ,
			ground_01(screen,"floor186", 444, 1554, 78, 72) ,
			ground_01(screen,"floor187", 2328, 1884, 78, 72) ,
			ground_01(screen,"floor188", 1428, 2256, 78, 72) ,
			ground_01(screen,"floor189", 2448, 1554, 78, 72) ,
			ground_01(screen,"floor190", 198, 1440, 78, 72) ,
			ground_01(screen,"floor191", 2208, 1656, 78, 72) ,
			ground_01(screen,"floor192", 1308, 2028, 78, 72) ,
			ground_01(screen,"floor193", 2208, 1776, 78, 72) ,
			ground_01(screen,"floor194", 444, 1668, 78, 72) ,
			ground_01(screen,"floor195", 2208, 1890, 78, 72) ,
			ground_01(screen,"floor196", 1182, 2142, 78, 72) ,
			ground_01(screen,"floor197", 2202, 1554, 78, 72) ,
			ground_01(screen,"floor198", 4746, 2136, 78, 72) ,
			ground_01(screen,"floor199", 1308, 2148, 78, 72) ,
			ground_01(screen,"floor200", 324, 1440, 78, 72) ,
			ground_01(screen,"floor201", 1308, 2262, 78, 72) ,
			ground_01(screen,"floor202", 198, 1554, 78, 72) ,
			ground_01(screen,"floor203", 1182, 2256, 78, 72) ,
			ground_01(screen,"floor204", 324, 1560, 78, 72) ,
			ground_01(screen,"floor205", 1302, 1926, 78, 72) ,
			ground_01(screen,"floor206", 78, 2118, 78, 72) ,
			ground_01(screen,"floor207", 1062, 2028, 78, 72) ,
			ground_01(screen,"floor208", 324, 1674, 78, 72) ,
			ground_01(screen,"floor209", 1062, 2148, 78, 72) ,
			ground_01(screen,"floor210", 198, 1668, 78, 72) ,
			ground_01(screen,"floor211", 1062, 2262, 78, 72) ,
			ground_01(screen,"floor212", 318, 1338, 78, 72) ,
			ground_01(screen,"floor213", 1056, 1926, 78, 72) ,
			ground_01(screen,"floor214", 4746, 2838, 78, 72) ,
			ground_01(screen,"floor215", 78, 2820, 78, 72) ,
			ground_01(screen,"floor216", 4740, 774, 78, 72) ,
			ground_01(screen,"floor217", 72, 756, 78, 72) ,
			ground_01(screen,"floor218", 4746, 2958, 78, 72) ,
			ground_01(screen,"floor219", 78, 2940, 78, 72) ,
			ground_01(screen,"floor220", 4746, 1458, 78, 72) ,
			ground_01(screen,"floor221", 78, 1440, 78, 72) ,
			ground_01(screen,"floor222", 4746, 3072, 78, 72) ,
			ground_01(screen,"floor223", 78, 3054, 78, 72) ,
			ground_01(screen,"floor224", 4740, 96, 78, 72) ,
			ground_01(screen,"floor225", 72, 78, 78, 72) ,
			ground_01(screen,"floor226", 4746, 2256, 78, 72) ,
			ground_01(screen,"floor227", 78, 2238, 78, 72) ,
			ground_01(screen,"floor228", 4740, 894, 78, 72) ,
			ground_01(screen,"floor229", 72, 876, 78, 72) ,
			ground_01(screen,"floor230", 4746, 1578, 78, 72) ,
			ground_01(screen,"floor231", 78, 1560, 78, 72) ,
			ground_01(screen,"floor232", 4746, 2370, 78, 72) ,
			ground_01(screen,"floor233", 78, 2352, 78, 72) ,
			ground_01(screen,"floor234", 4740, 216, 78, 72) ,
			ground_01(screen,"floor235", 72, 198, 78, 72) ,
			ground_01(screen,"floor236", 4746, 2484, 78, 72) ,
			ground_01(screen,"floor237", 78, 2466, 78, 72) ,
			ground_01(screen,"floor238", 4740, 1008, 78, 72) ,
			ground_01(screen,"floor239", 72, 990, 78, 72) ,
			ground_01(screen,"floor240", 4746, 2604, 78, 72) ,
			ground_01(screen,"floor241", 78, 2586, 78, 72) ,
			ground_01(screen,"floor242", 4746, 1692, 78, 72) ,
			ground_01(screen,"floor243", 4740, 1122, 78, 72) ,
			ground_01(screen,"floor244", 78, 1674, 78, 72) ,
			ground_01(screen,"floor245", 4746, 2718, 78, 72) ,
			ground_01(screen,"floor246", 72, 1104, 78, 72) ,
			ground_01(screen,"floor247", 4740, 1242, 78, 72) ,
			ground_01(screen,"floor248", 78, 2700, 78, 72) ,
			ground_01(screen,"floor249", 4746, 1806, 78, 72) ,
			ground_01(screen,"floor250", 72, 1224, 78, 72) ,
			ground_01(screen,"floor251", 4740, 330, 78, 72) ,
			ground_01(screen,"floor252", 78, 1788, 78, 72) ,
			ground_01(screen,"floor253", 4746, 1926, 78, 72) ,
			ground_01(screen,"floor254", 72, 312, 78, 72) ,
			ground_01(screen,"floor255", 4740, 1356, 78, 72) ,
			ground_01(screen,"floor256", 78, 1908, 78, 72) ,
			ground_01(screen,"floor257", 4746, 2040, 78, 72) ,
			ground_01(screen,"floor258", 72, 1338, 78, 72) ,
			ground_01(screen,"floor259", 4740, 444, 78, 72) ,
			ground_01(screen,"floor260", 4740, 564, 78, 72) ,
			ground_01(screen,"floor261", 78, 2022, 78, 72) ,
			ground_01(screen,"floor262", 4740, 678, 78, 72) ,
			ground_01(screen,"floor263", 72, 426, 78, 72) ,
			ground_01(screen,"floor264", 72, 546, 78, 72) ,
			ground_01(screen,"floor265", 72, 660, 78, 72) ,
			ground_01(screen,"floor266", 5334, 756, 78, 72) ,
			ground_01(screen,"floor267", 5334, 876, 78, 72) ,
			ground_01(screen,"floor268", 5334, 990, 78, 72) ,
			ground_01(screen,"floor269", -120, 3186, 5130, 156) ,
			ground_01(screen,"floor270", 4860, 54, 168, 3288) ,
			ground_01(screen,"floor271", -138, 54, 168, 3288) ,
			ground_01(screen,"floor272", 5334, 1104, 78, 72) ,
			ground_01(screen,"floor273", 3186, 954, 1008, 84) ,
			ground_01(screen,"floor274", 5532, 1068, 78, 72) ,
			ground_01(screen,"floor275", 5586, 954, 78, 72) ,
			ground_01(screen,"floor276", 5334, 1224, 78, 72) ,
			goal(screen,"goal", 3960, 834, 192, 90) ,
			ground_01(screen,"floor278", 5226, 996, 78, 72) ,
			player(screen,"player", 2208, 2118, constants.PLAYER_WIDTH,constants.PLAYER_HEIGHT) ,

        ])
        self.viewport_offset_x = -2208
        self.viewport_offset_y = -2118