
from scenes.scene import *
from entities.game_object import *
from entities.ground_01 import *
from entities.ground_02 import *
from entities.wall_01 import *
from entities.player import *
from entities.background_01 import *
from entities.special_bottom import *
from entities.special_top import * 
from entities.special_right import *
from entities.special_left import *
from entities.goal import *
from entities.refill import *
import constants
class scene_005(scene):
    def __init__(self,screen,completed):
        self.completed = completed
        self.completing = False
        self.main_player = None
        self.screen = screen
        self.game_objects = []
        self.viewport_offset_x = 0
        self.viewport_offset_y = 0
        self.min_viewport_x = 0
        self.min_viewport_y = 0
        self.max_viewport_x = constants.SCREEN_WIDTH
        self.max_viewport_y = constants.SCREEN_HEIGHT
        self.display = ""
        self.begin_text = ""
        self.win_text = ""
        self.title = "Level 5"
        self.game_objects.extend([
            #screen, name,x, y, width, height
            special_top(screen,"top", -10000, -10000, 100, 10) ,
            special_bottom(screen,"bottom", -10000, -10000, 100, 10) ,
            special_right(screen,"left", -10000, -10000, 100, 10) ,
            special_left(screen,"right", -10000, -10000, 100, 10) ,
			refill(screen,"refill", 1386, 3084, 162, 90) ,
			refill(screen,"refill", 288, 3084, 72, 90) ,
			goal(screen,"goal", 78, 48, 288, 96) ,
			ground_01(screen,"floor4", 102, 234, 186, 72) ,
			ground_01(screen,"floor5", 102, 858, 186, 72) ,
			ground_01(screen,"floor6", 102, 156, 186, 72) ,
			ground_01(screen,"floor7", 1512, 1104, 144, 72) ,
			ground_01(screen,"floor8", 102, 780, 186, 72) ,
			ground_01(screen,"floor9", 3102, 1344, 144, 72) ,
			ground_01(screen,"floor10", 102, 540, 186, 72) ,
			goal(screen,"goal", 4674, 1320, 288, 96) ,
			ground_01(screen,"floor12", 102, 702, 186, 72) ,
			ground_01(screen,"floor13", 4278, 870, 348, 1152) ,
			ground_01(screen,"floor14", 102, 462, 186, 72) ,
			ground_01(screen,"floor15", 4068, 636, 540, 60) ,
			ground_01(screen,"floor16", 102, 624, 186, 72) ,
			ground_01(screen,"floor17", 4278, 714, 348, 162) ,
			ground_01(screen,"floor18", 102, 384, 186, 72) ,
			ground_01(screen,"floor19", 3480, 636, 540, 60) ,
			ground_01(screen,"floor20", 102, 306, 186, 72) ,
			ground_01(screen,"floor21", 3690, 714, 144, 162) ,
			ground_01(screen,"floor22", 2892, 636, 540, 60) ,
			ground_01(screen,"floor23", 3102, 714, 144, 162) ,
			ground_01(screen,"floor24", 2304, 636, 540, 60) ,
			ground_01(screen,"floor25", 2514, 714, 144, 162) ,
			ground_01(screen,"floor26", 1032, 954, 540, 60) ,
			ground_01(screen,"floor27", 1674, 792, 540, 60) ,
			ground_01(screen,"floor28", 2490, 1242, 540, 60) ,
			ground_01(screen,"floor29", 1884, 870, 144, 162) ,
			ground_01(screen,"floor30", 1242, 1032, 144, 162) ,
			ground_01(screen,"floor31", 3234, 1482, 540, 60) ,
			ground_01(screen,"floor32", 96, 1008, 540, 60) ,
			ground_01(screen,"floor33", 306, 1086, 144, 162) ,
			ground_01(screen,"floor34", 2700, 1320, 144, 162) ,
			ground_01(screen,"floor35", 3444, 1560, 144, 162) ,
			ground_01(screen,"floor36", 1674, 1242, 540, 60) ,
			ground_01(screen,"floor37", 1884, 1320, 144, 162) ,
			ground_01(screen,"floor38", 3762, 2016, 1236, 234) ,
			ground_01(screen,"floor39", 3234, 2238, 1770, 234) ,
			ground_01(screen,"floor40", 2700, 2472, 2304, 234) ,
			ground_01(screen,"floor41", 2286, 2706, 2718, 234) ,
			ground_01(screen,"floor42", 1848, 2940, 3150, 234) ,
			ground_01(screen,"floor43", 1152, 2658, 186, 72) ,
			ground_01(screen,"floor44", 1152, 3018, 186, 72) ,
			ground_01(screen,"floor45", 1152, 2580, 186, 72) ,
			ground_01(screen,"floor46", 1152, 2136, 186, 72) ,
			ground_01(screen,"floor47", 1152, 2940, 186, 72) ,
			ground_01(screen,"floor48", 1152, 2058, 186, 72) ,
			ground_01(screen,"floor49", 1152, 2496, 186, 72) ,
			ground_01(screen,"floor50", 1152, 1824, 186, 72) ,
			ground_01(screen,"floor51", 1152, 2862, 186, 72) ,
			ground_01(screen,"floor52", 1152, 1980, 186, 72) ,
			ground_01(screen,"floor53", 1152, 2418, 186, 72) ,
			ground_01(screen,"floor54", 1152, 1746, 186, 72) ,
			ground_01(screen,"floor55", 1152, 2784, 186, 72) ,
			ground_01(screen,"floor56", 1152, 1902, 186, 72) ,
			ground_01(screen,"floor57", 1152, 2340, 186, 72) ,
			ground_01(screen,"floor58", 1152, 2262, 186, 72) ,
			ground_01(screen,"floor59", 1152, 1668, 186, 72) ,
			ground_01(screen,"floor60", 1152, 1590, 186, 72) ,
			ground_01(screen,"floor61", 2490, 1590, 540, 60) ,
			ground_01(screen,"floor62", 2700, 1668, 144, 162) ,
			ground_01(screen,"floor63", 1674, 1590, 540, 60) ,
			ground_01(screen,"floor64", 1884, 1668, 144, 162) ,
			ground_01(screen,"floor65", 384, 1734, 144, 72) ,
			ground_01(screen,"floor66", 72, 1884, 186, 72) ,
			ground_01(screen,"floor67", 384, 2016, 144, 72) ,
			ground_01(screen,"floor68", 72, 2160, 186, 72) ,
			ground_01(screen,"floor69", 72, 2454, 186, 72) ,
			ground_01(screen,"floor70", 384, 2292, 144, 72) ,
			ground_01(screen,"floor71", 72, 2784, 186, 72) ,
			ground_01(screen,"floor72", 384, 2610, 144, 72) ,
			ground_01(screen,"floor73", 72, 3060, 174, 72) ,
			ground_01(screen,"floor74", 384, 2916, 144, 72) ,
			ground_01(screen,"floor75", 534, 1584, 570, 1590) ,
			ground_01(screen,"floor76", 24, 3180, 5130, 156) ,
			ground_01(screen,"floor77", 5004, 48, 168, 3288) ,
			ground_01(screen,"floor78", -108, 48, 168, 3288) ,
			player(screen,"player", 402, 2994, constants.PLAYER_WIDTH,constants.PLAYER_HEIGHT) ,

        ])
        self.viewport_offset_x = -402
        self.viewport_offset_y = -2994