from entities.game_object import *
import constants
import math
class scene:
	# this module manages all interaction between game objects
	def __init__(self, screen, completed):
		self.completed = completed
		self.completing = False
		self.main_player = None
		self.screen = screen
		self.game_objects = []
		self.viewport_offset_x = 0
		self.viewport_offset_y = 0
		self.min_viewport_x = 0
		self.min_viewport_y = 0
		self.max_viewport_x = constants.SCREEN_WIDTH
		self.max_viewport_y = constants.SCREEN_HEIGHT
		self.display = ""
		self.title = ""
		#get some player input (should be abstracted)
	def seek_player_input(self):
		x = 0
		y = 0
		key = pygame.key.get_pressed()
		if key[pygame.K_LEFT]:
			x = -1
		elif key[pygame.K_RIGHT]:
			x = 1
		if self.completing == False:
			if key[pygame.K_UP]:
				y = -1
		else:
			y = -1
		for o in self.game_objects:
			if o.player_controlled:
				if self.main_player == None:
					self.main_player = o
				o.move(x, y) # pass a command to the player controlled object
				
		if self.main_player != None and self.main_player.is_super:
			found_key = False
			if key[pygame.K_a]:
				found_key = True
				if self.main_player.last_special != "l":
					self.main_player.last_special = "l"
					self.main_player.calling_left_special = True
			if key[pygame.K_d]:
				found_key = True
				if self.main_player.last_special != "r":
					self.main_player.last_special = "r"
					self.main_player.calling_right_special = True
			if key[pygame.K_s]:
				found_key = True
				if self.main_player.last_special != "b":
					self.main_player.last_special = "b"
					self.main_player.calling_bottom_special = True
			if key[pygame.K_w]:
				found_key = True
				if self.main_player.last_special != "t":
					self.main_player.last_special = "t"
					self.main_player.calling_top_special = True
			if found_key == False:
				self.main_player.last_special = ""
		# initialize a new pass through the game loop for all game objects
	def update(self):
		self.seek_player_input()
		for o in self.game_objects:
			if o.velocity_y == 0 and o.is_movable and o.jumping == False and self.completing == False:
				o.acceleration_y += o.gravity
				o.direction_y = 1
				
		for o in self.game_objects:
			if self.completing == False:
				o.accelerate_y()
				o.accelerate_x()
				o.set_velocity()
			
			if o.velocity_y > 0 and o.direction_y > 0:	
				self.collide_below(o)
			elif o.velocity_y > 0 and o.direction_y < 0:
				self.collide_above(o)
			if o.direction_x > 0:
				self.collide_right(o)
			elif o.direction_x < 0:
				self.collide_left(o)
				
			if o.name == "player":
				if o.y < -100 or o.y > 5000 or o.x > 10000 or o.x < -1000:
					self.completed()
				if o.x + o.block.width > (self.max_viewport_x * .7) + (self.viewport_offset_x * -1):
					self.viewport_offset_x -= o.velocity_x
				elif o.x < (self.max_viewport_x * .3) + (self.viewport_offset_x * -1):
					self.viewport_offset_x += o.velocity_x
				if o.y + o.block.height > self.max_viewport_y * .7 + (self.viewport_offset_y * -1):
					self.viewport_offset_y -= o.velocity_y
				elif o.y < self.max_viewport_y * .3 + (self.viewport_offset_y * -1):
					self.viewport_offset_y += o.velocity_y
			
			elif o.name == "left":
				if self.main_player != None:
					if self.main_player.calling_left_special and self.main_player.has_left_special and self.main_player.mana > 0:
						self.main_player.mana -= 10
						o.x = self.main_player.x - self.main_player.block.width - o.block.width
						o.y = self.main_player.y + self.main_player.block.height
						self.main_player.calling_left_special = False
						self.main_player.using_left_special = True
					else:
						if self.main_player.using_left_special == False and o.y != -10000 and o.y != -10000:
							o.x = -10000
							o.y = -10000
			elif o.name == "right":
				if self.main_player != None:
					if self.main_player.calling_right_special and self.main_player.has_right_special and self.main_player.mana > 0:
						self.main_player.mana -= 10
						o.x = self.main_player.x + (self.main_player.block.width * 2)
						o.y = self.main_player.y + self.main_player.block.height
						self.main_player.calling_right_special = False
						self.main_player.using_right_special = True
					else:
						if self.main_player.using_right_special == False and o.x != -10000 and o.y != -10000:
							o.x = -10000
							o.y = -10000
			elif o.name == "top":
				if self.main_player != None:
					if self.main_player.calling_top_special and self.main_player.has_top_special and self.main_player.mana > 0:
						self.main_player.mana -= 10
						o.y = self.main_player.y - o.block.height
						if self.main_player.direction_x == 1:
							o.x = self.main_player.x
						else:
							o.x = self.main_player.x + self.main_player.block.width - o.block.width
						self.main_player.calling_top_special = False
						self.main_player.using_top_special = True
					else:
						if self.main_player.using_top_special == False and o.x != -10000 and o.y != -10000:
							o.x = -10000
							o.y = -10000
			elif o.name == "bottom":
				if self.main_player != None:
					if self.main_player.calling_bottom_special and self.main_player.has_bottom_special and self.main_player.mana > 0:
						self.main_player.mana -= 10
						o.y = self.main_player.y + self.main_player.block.height + o.block.height
						if self.main_player.direction_x == 1:
							o.x = self.main_player.x
						else:
							o.x = self.main_player.x + self.main_player.block.width - o.block.width
						self.main_player.calling_bottom_special = False
						self.main_player.using_bottom_special = True
					else:
						if self.main_player.using_bottom_special == False and o.x != -10000 and o.y != -10000:
							o.x = -10000
							o.y = -10000
							
			o.calculate_pos(self.viewport_offset_x, self.viewport_offset_y)
			
			
			
		#detect a collision at the base of a game object
	def collide_below(self, game_object):
		if self.completing == True:	
			return
		
		for o in self.game_objects:
			if o != game_object and o.is_real:
					if (game_object.x + (game_object.block.width * 1.1))  > o.x and game_object.x < (o.x + (o.block.width + (game_object.block.width * .1))):
						for i in range(game_object.y + game_object.block.height, game_object.y + game_object.velocity_y + game_object.block.height):
							if i == o.y:
								game_object.velocity_y = 0
								game_object.direction_y = 0
								game_object.acceleration_y = 0
								if game_object.grounded == False:
									game_object.grounded = True
									game_object.frame_change = True
								game_object.gravity = 1
								game_object.acceleration_x -= o.traction
								game_object.acceleration_increment_x = 0;
								game_object.acceleration_increment_y = 0;
								if game_object.acceleration_x < 0:
									game_object.acceleration_x = 0
								game_object.velocity_x -= o.traction
								if game_object.velocity_x < 0:
									game_object.velocity_x = 0
								game_object.y = i - game_object.block.height
								
								if o.effect == "super":
									game_object.is_super = True
								if o.name == "goal" and game_object.name == "player":
									self.completed()
								elif o.name=="refill" and game_object.name == "player":
									game_object.mana = 100
								break
	
	# [UNTESTED] detect a collision at the top of a game object
	def collide_above(self, game_object):
		if self.completing == True:	
			return
		for o in self.game_objects:
			if o != game_object and o.is_real:
					if (game_object.x + (game_object.block.width * 1.1))  > o.x and game_object.x < (o.x + (o.block.width + (game_object.block.width * .1))):
						for i in range(game_object.y - game_object.velocity_y, game_object.y):
							if i == o.y + o.block.height:
								if o.name == "goal" and game_object.name == "player":
									self.completed()
								elif o.name=="refill" and game_object.name == "player":
									game_object.mana = 100
								break
		# detect a collision at the left of a game object while moving left
	def collide_left(self, game_object):
		if self.completing == True:	
			return
		collision = False
		for o in self.game_objects:
			if o != game_object and o.is_real:
				if game_object.y + game_object.block.height > o.y and game_object.y < o.y + o.block.height:
					for i in range(game_object.x - game_object.velocity_x - 5, game_object.x + 5):
						if i == o.x + o.block.width:
							game_object.x = i
							game_object.wall_left = True
							game_object.acceleration_increment_x = 0;
							game_object.acceleration_x = 0	
							game_object.velocity_x = 0
							collision = True
							if o.y > game_object.y - game_object.block.height:
								game_object.jumping = True
								game_object.direction_y = -1
								game_object.acceleration_increment_y = 1
								leap_height = game_object.block.height - (o.y - game_object.y)
								game_object.max_acceleration_y = int(round(leap_height * (.25))) + 1
							if o.effect == "super":
								game_object.is_super = True
							if o.name == "goal" and game_object.name == "player":
									self.completed()
							elif o.name=="refill" and game_object.name == "player":
									game_object.mana = 100
							break
		game_object.wall_left = collision
		
		# detect a collision at the right of a game object while moving right
	def collide_right(self, game_object):
		if self.completing == True:	
			return
		collision = False
		for o in self.game_objects:
			if o != game_object and o.is_real:
				if game_object.y + game_object.block.height > o.y and game_object.y < o.y + o.block.height:
					for i in range(game_object.x + game_object.block.width, game_object.x + game_object.block.width + game_object.velocity_x):
						if i == o.x:
							game_object.x = i - game_object.block.width
							game_object.wall_right = True
							game_object.acceleration_increment_x = 0;
							game_object.acceleration_x = 0	
							game_object.velocity_x = 0
							collision = True
							if o.y > game_object.y - game_object.block.height:
								game_object.jumping = True
								game_object.direction_y = -1
								game_object.acceleration_increment_y = 1
								leap_height = game_object.block.height - (o.y - game_object.y)
								game_object.max_acceleration_y = int(round(leap_height * (.25))) + 1
							if o.effect == "super":
								game_object.is_super = True
							if o.name == "goal" and game_object.name == "player":
									self.completed()
							elif o.name=="refill" and game_object.name == "player":
									game_object.mana = 100
							break
		game_object.wall_right = collision
	def draw(self):
		mana = "Bytes: 0"
		moves = "Energy Used: 0"
		for o in self.game_objects:
			if o.name == "player":
				if o.mana > 0:
					mana = "Bytes: " + str(o.mana)
				moves = "Energy Used: " + str(o.moves_taken)
			o.draw()
		self.screen.blit(constants.main_font.render(self.title, True, (0,0,0)), [int(round(constants.SCREEN_WIDTH * .85)),25])
		self.screen.blit(constants.main_font.render(mana, True, (0,0,0)), [int(round(constants.SCREEN_WIDTH * .85)),50])
		self.screen.blit(constants.main_font.render(moves, True, (0,0,0)), [int(round(constants.SCREEN_WIDTH * .85)),75])