
from scenes.scene import *
from entities.game_object import *
from entities.ground_01 import *
from entities.ground_02 import *
from entities.wall_01 import *
from entities.player import *
from entities.background_01 import *
from entities.special_bottom import *
from entities.special_top import * 
from entities.special_right import *
from entities.special_left import *
from entities.goal import *
from entities.refill import *
from entities.pic import *
import constants
class scene_000(scene):
    def __init__(self,screen,completed):
        self.completed = completed
        self.completing = False
        self.main_player = None
        self.screen = screen
        self.game_objects = []
        self.viewport_offset_x = 0
        self.viewport_offset_y = 0
        self.min_viewport_x = 0
        self.min_viewport_y = 0
        self.max_viewport_x = constants.SCREEN_WIDTH
        self.max_viewport_y = constants.SCREEN_HEIGHT
        self.display = ""
        self.begin_text = ""
        self.win_text = ""
        self.title = "Level 0"
        self.game_objects.extend([
            #screen, name,x, y, width, height
            special_top(screen,"top", -10000, -10000, 100, 10) ,
            special_bottom(screen,"bottom", -10000, -10000, 100, 10) ,
            special_right(screen,"left", -10000, -10000, 100, 10) ,
            special_left(screen,"right", -10000, -10000, 100, 10) ,
			ground_01(screen,"floor1", 924, 1746, 198, 60) ,
			ground_01(screen,"floor2", 684, 1836, 198, 60) ,
			ground_01(screen,"floor3", 1962, 348, 90, 180) ,
			ground_01(screen,"floor4", 1098, 2112, 198, 60) ,
			ground_01(screen,"floor5", 864, 2190, 198, 60) ,
			ground_01(screen,"floor6", 864, 2304, 198, 60) ,
			ground_01(screen,"floor7", 234, 2838, 198, 60) ,
			ground_01(screen,"floor8", 4722, 3042, 198, 60) ,
			ground_01(screen,"floor9", 3246, 3042, 198, 60) ,
			ground_01(screen,"floor10", 1716, 3042, 198, 60) ,
			ground_01(screen,"floor11", 3480, 3042, 198, 60) ,
			ground_01(screen,"floor12", 2214, 156, 90, 180) ,
			ground_01(screen,"floor13", 4002, 3042, 198, 60) ,
			ground_01(screen,"floor14", 3732, 3042, 198, 60) ,
			ground_01(screen,"floor15", 1950, 3042, 198, 60) ,
			ground_01(screen,"floor16", 4236, 3042, 198, 60) ,
			ground_01(screen,"floor17", 2088, 252, 90, 234) ,
			ground_01(screen,"floor18", 4488, 3042, 198, 60) ,
			ground_01(screen,"floor19", 2472, 3042, 198, 60) ,
			ground_01(screen,"floor20", 1080, 306, 90, 180) ,
			ground_01(screen,"floor21", 2202, 3042, 198, 60) ,
			ground_01(screen,"floor22", 360, 306, 90, 180) ,
			ground_01(screen,"floor23", 2706, 3042, 198, 60) ,
			ground_01(screen,"floor24", 1476, 306, 90, 180) ,
			ground_01(screen,"floor25", 2958, 3042, 198, 60) ,
			ground_01(screen,"floor26", 2958, 2322, 198, 60) ,
			ground_01(screen,"floor27", 4026, 1434, 600, 60) ,
			ground_01(screen,"floor28", 2616, 6, 90, 384) ,
			ground_01(screen,"floor29", 3264, 726, 108, 60) ,
			ground_01(screen,"floor30", 2862, 1074, 294, 60) ,
			ground_01(screen,"floor31", 3084, 954, 198, 60) ,
			ground_01(screen,"floor32", 3210, 1176, 294, 60) ,
			ground_01(screen,"floor33", 3498, 1260, 294, 60) ,
			ground_01(screen,"floor34", 2976, 702, 198, 60) ,
			ground_01(screen,"floor35", 3816, 1332, 294, 60) ,
			ground_01(screen,"floor36", 4536, 1608, 294, 60) ,
			ground_01(screen,"floor37", 4200, 1722, 294, 60) ,
			ground_01(screen,"floor38", 3924, 1818, 294, 60) ,
			ground_01(screen,"floor39", 3588, 1914, 294, 60) ,
			goal(screen,"goal", 1620, 2436, 198, 60) ,
			ground_01(screen,"floor41", 3084, 2190, 108, 60) ,
			ground_01(screen,"floor42", 972, 1146, 108, 60) ,
			ground_01(screen,"floor43", 2958, 2256, 108, 60) ,
			ground_01(screen,"floor44", 828, 1152, 108, 60) ,
			ground_01(screen,"floor45", 3084, 2418, 198, 60) ,
			ground_01(screen,"floor46", 684, 1152, 108, 60) ,
			ground_01(screen,"floor47", 882, 1614, 108, 60) ,
			ground_01(screen,"floor48", 3210, 2112, 198, 60) ,
			ground_01(screen,"floor49", 558, 1218, 108, 60) ,
			ground_01(screen,"floor50", 342, 2688, 108, 60) ,
			ground_01(screen,"floor51", 342, 1290, 198, 60) ,
			ground_01(screen,"floor52", 720, 1710, 108, 60) ,
			ground_01(screen,"floor53", 486, 1386, 198, 60) ,
			ground_01(screen,"floor54", 216, 2754, 108, 60) ,
			ground_01(screen,"floor55", 972, 1026, 198, 60) ,
			ground_01(screen,"floor56", 864, 2400, 198, 60) ,
			ground_01(screen,"floor57", 486, 1926, 198, 60) ,
			ground_01(screen,"floor58", 360, 2946, 198, 60) ,
			ground_01(screen,"floor59", 594, 1590, 198, 60) ,
			ground_01(screen,"floor60", 216, 3042, 198, 60) ,
			ground_01(screen,"floor61", 450, 3042, 198, 60) ,
			ground_01(screen,"floor62", 972, 3042, 198, 60) ,
			ground_01(screen,"floor63", 702, 3042, 198, 60) ,
			ground_01(screen,"floor64", 1206, 3042, 198, 60) ,
			ground_01(screen,"floor65", 1458, 3042, 198, 60) ,
			ground_01(screen,"floor66", 468, 2610, 198, 60) ,
			ground_01(screen,"floor67", 1350, 882, 90, 78) ,
			ground_01(screen,"floor68", 1476, 822, 90, 120) ,
			ground_01(screen,"floor69", 1602, 762, 90, 180) ,
			ground_01(screen,"floor70", 1728, 678, 90, 264) ,
			ground_01(screen,"floor71", 1476, 2304, 102, 192) ,
			ground_01(screen,"floor72", 2616, 2610, 90, 264) ,
			ground_01(screen,"floor73", 1476, 2088, 102, 192) ,
			ground_01(screen,"floor74", 2292, 2016, 90, 264) ,
			ground_01(screen,"floor75", 2616, 2310, 90, 264) ,
			ground_01(screen,"floor76", 2616, 2016, 90, 264) ,
			ground_01(screen,"floor77", 2292, 1716, 90, 264) ,
			ground_01(screen,"floor78", 2616, 1716, 90, 264) ,
			ground_01(screen,"floor79", 2292, 1422, 90, 264) ,
			ground_01(screen,"floor80", 2616, 1422, 90, 264) ,
			ground_01(screen,"floor81", 2292, 822, 90, 264) ,
			ground_01(screen,"floor82", 2616, 822, 90, 264) ,
			ground_01(screen,"floor83", 2292, 1122, 90, 264) ,
			ground_01(screen,"floor84", 2616, 1122, 90, 264) ,
			ground_01(screen,"floor85", 2292, 522, 90, 264) ,
			ground_01(screen,"floor86", 2616, 522, 90, 264) ,
			ground_01(screen,"floor87", 4776, 1494, 198, 60) ,
			ground_01(screen,"floor88", 216, 1494, 1602, 60) ,
			ground_01(screen,"floor89", 3372, 2016, 1602, 60) ,
			ground_01(screen,"floor90", 216, 2016, 1836, 60) ,
			ground_01(screen,"floor91", 3372, 900, 1602, 60) ,
			ground_01(screen,"floor92", 1140, 900, 678, 60) ,
			ground_01(screen,"floor93", 2616, 426, 2358, 60) ,
			ground_01(screen,"floor94", 216, 426, 2166, 60) ,
			ground_01(screen,"floor95", 2634, 6, 2340, 60) ,
			ground_01(screen,"floor96", 216, 6, 1602, 60) ,
			ground_01(screen,"floor97", 702, 2514, 1116, 60) ,
			ground_01(screen,"floor98", 3372, 2514, 1602, 60) ,
			ground_01(screen,"floor99", 30, 3138, 5130, 156) ,
			ground_01(screen,"floor100", 5010, 6, 168, 3288) ,
			ground_01(screen,"floor101", 12, 6, 168, 3288) ,
			player(screen,"player", 972, 2760, constants.PLAYER_WIDTH,constants.PLAYER_HEIGHT) ,

        ])
        self.viewport_offset_x = -972
        self.viewport_offset_y = -2760