
from scenes.scene import *
from entities.game_object import *
from entities.ground_01 import *
from entities.ground_02 import *
from entities.wall_01 import *
from entities.player import *
from entities.background_01 import *
from entities.special_bottom import *
from entities.special_top import * 
from entities.special_right import *
from entities.special_left import *
from entities.goal import *
from entities.refill import *
from entities.pic import *
import constants
class scene_003(scene):
    def __init__(self,screen,completed):
        self.completed = completed
        self.completing = False
        self.main_player = None
        self.screen = screen
        self.game_objects = []
        self.viewport_offset_x = 0
        self.viewport_offset_y = 0
        self.min_viewport_x = 0
        self.min_viewport_y = 0
        self.max_viewport_x = constants.SCREEN_WIDTH
        self.max_viewport_y = constants.SCREEN_HEIGHT
        self.display = ""
        self.begin_text = ""
        self.win_text = ""
        self.title = "Level 3"
        self.game_objects.extend([
            #screen, name,x, y, width, height
            special_top(screen,"top", -10000, -10000, 100, 10) ,
            special_bottom(screen,"bottom", -10000, -10000, 100, 10) ,
            special_right(screen,"left", -10000, -10000, 100, 10) ,
            special_left(screen,"right", -10000, -10000, 100, 10) ,
			ground_01(screen,"floor1", 6162, 738, 204, 60) ,
			ground_01(screen,"floor2", 264, 2388, 528, 60) ,
			ground_01(screen,"floor3", 264, 2718, 264, 90) ,
			ground_01(screen,"floor4", 474, 2568, 60, 114) ,
			ground_01(screen,"floor5", 984, 2418, 60, 396) ,
			ground_01(screen,"floor6", 372, 2496, 60, 186) ,
			ground_01(screen,"floor7", 264, 2484, 60, 198) ,
			ground_01(screen,"floor8", 1056, 2418, 318, 60) ,
			ground_01(screen,"floor9", 1056, 2484, 318, 60) ,
			ground_01(screen,"floor10", 1056, 2550, 318, 60) ,
			ground_01(screen,"floor11", 1056, 2616, 318, 60) ,
			ground_01(screen,"floor12", 1056, 2682, 318, 60) ,
			ground_01(screen,"floor13", 1056, 2748, 318, 60) ,
			ground_01(screen,"floor14", 612, 2754, 312, 60) ,
			refill(screen,"refill", 4470, 2748, 174, 60) ,
			refill(screen,"refill", 3096, 2724, 174, 60) ,
			refill(screen,"refill", 2580, 2724, 174, 60) ,
			refill(screen,"refill", 672, 2682, 174, 60) ,
			ground_01(screen,"floor19", 5784, 738, 354, 60) ,
			ground_01(screen,"floor20", 5784, 810, 354, 60) ,
			ground_01(screen,"floor21", 5784, 1890, 354, 60) ,
			ground_01(screen,"floor22", 5784, 1314, 354, 60) ,
			ground_01(screen,"floor23", 5784, 1962, 354, 60) ,
			ground_01(screen,"floor24", 5784, 1026, 354, 60) ,
			ground_01(screen,"floor25", 5784, 2466, 354, 60) ,
			ground_01(screen,"floor26", 5784, 1386, 354, 60) ,
			ground_01(screen,"floor27", 5784, 2178, 354, 60) ,
			ground_01(screen,"floor28", 5784, 882, 354, 60) ,
			ground_01(screen,"floor29", 5784, 2538, 354, 60) ,
			ground_01(screen,"floor30", 5784, 1602, 354, 60) ,
			ground_01(screen,"floor31", 5784, 2034, 354, 60) ,
			ground_01(screen,"floor32", 5784, 1098, 354, 60) ,
			ground_01(screen,"floor33", 5784, 2754, 354, 60) ,
			ground_01(screen,"floor34", 5784, 1458, 354, 60) ,
			ground_01(screen,"floor35", 5784, 2250, 354, 60) ,
			ground_01(screen,"floor36", 5784, 954, 354, 60) ,
			ground_01(screen,"floor37", 5784, 2610, 354, 60) ,
			ground_01(screen,"floor38", 5784, 1674, 354, 60) ,
			ground_01(screen,"floor39", 5784, 2106, 354, 60) ,
			ground_01(screen,"floor40", 5784, 1170, 354, 60) ,
			ground_01(screen,"floor41", 5784, 2826, 354, 60) ,
			ground_01(screen,"floor42", 5784, 1530, 354, 60) ,
			ground_01(screen,"floor43", 5784, 2322, 354, 60) ,
			ground_01(screen,"floor44", 5784, 1242, 354, 60) ,
			ground_01(screen,"floor45", 5784, 2682, 354, 60) ,
			ground_01(screen,"floor46", 5784, 1746, 354, 60) ,
			ground_01(screen,"floor47", 5784, 2394, 354, 60) ,
			ground_01(screen,"floor48", 5784, 1818, 354, 60) ,
			ground_01(screen,"floor49", 5784, 2898, 354, 60) ,
			goal(screen,"goal", 6306, 528, 60, 222) ,
			ground_01(screen,"floor51", 5130, 2496, 354, 60) ,
			ground_01(screen,"floor52", 3276, 2508, 390, 60) ,
			ground_01(screen,"floor53", 4590, 2496, 354, 60) ,
			ground_01(screen,"floor54", 3924, 2496, 492, 60) ,
			ground_01(screen,"floor55", 4056, 2592, 150, 204) ,
			ground_01(screen,"floor56", 1878, 2658, 60, 114) ,
			ground_01(screen,"floor57", 2736, 2508, 390, 60) ,
			ground_01(screen,"floor58", 1974, 2586, 60, 186) ,
			ground_01(screen,"floor59", 1530, 2748, 312, 60) ,
			ground_01(screen,"floor60", 2070, 2574, 60, 198) ,
			ground_01(screen,"floor61", 2070, 2508, 528, 60) ,
			ground_01(screen,"floor62", 204, 2820, 6162, 156) ,
			ground_01(screen,"floor63", 6156, 810, 210, 2004) ,
			ground_01(screen,"floor64", 36, -300, 168, 3288) ,
			player(screen,"player", 1602, 2592, constants.PLAYER_WIDTH,constants.PLAYER_HEIGHT) ,

        ])
        self.viewport_offset_x = -1602
        self.viewport_offset_y = -2592