
from scenes.scene import *
from entities.game_object import *
from entities.ground_01 import *
from entities.ground_02 import *
from entities.wall_01 import *
from entities.player import *
from entities.background_01 import *
from entities.special_bottom import *
from entities.special_top import * 
from entities.special_right import *
from entities.special_left import *
from entities.goal import *
from entities.refill import *
from entities.pic import *
import constants
class scene_007(scene):
    def __init__(self,screen,completed):
        self.completed = completed
        self.completing = False
        self.main_player = None
        self.screen = screen
        self.game_objects = []
        self.viewport_offset_x = 0
        self.viewport_offset_y = 0
        self.min_viewport_x = 0
        self.min_viewport_y = 0
        self.max_viewport_x = constants.SCREEN_WIDTH
        self.max_viewport_y = constants.SCREEN_HEIGHT
        self.display = ""
        self.begin_text = ""
        self.win_text = ""
        self.title = "Level 7"
        self.game_objects.extend([
            #screen, name,x, y, width, height
            special_top(screen,"top", -10000, -10000, 100, 10) ,
            special_bottom(screen,"bottom", -10000, -10000, 100, 10) ,
            special_right(screen,"left", -10000, -10000, 100, 10) ,
            special_left(screen,"right", -10000, -10000, 100, 10) ,
			refill(screen,"refill", 4242, 3108, 198, 72) ,
			refill(screen,"refill", 540, 3108, 198, 72) ,
			refill(screen,"refill", 2532, 3108, 198, 72) ,
			ground_01(screen,"floor4", 3684, 2142, 78, 72) ,
			ground_01(screen,"floor5", 1464, 2142, 78, 72) ,
			ground_01(screen,"floor6", 3684, 2262, 78, 72) ,
			ground_01(screen,"floor7", 1458, 2262, 78, 72) ,
			ground_01(screen,"floor8", 2208, 978, 78, 72) ,
			ground_01(screen,"floor9", 2214, 1098, 78, 72) ,
			ground_01(screen,"floor10", 2904, 978, 78, 72) ,
			ground_01(screen,"floor11", 2208, 1218, 78, 72) ,
			ground_01(screen,"floor12", 2784, 504, 78, 72) ,
			ground_01(screen,"floor13", 2910, 1098, 78, 72) ,
			goal(screen,"goal", 4728, 36, 198, 72) ,
			ground_01(screen,"floor15", 2904, 1218, 78, 72) ,
			ground_01(screen,"floor16", 2592, 504, 78, 72) ,
			ground_01(screen,"floor17", 4734, 168, 78, 72) ,
			ground_01(screen,"floor18", 2466, 504, 78, 72) ,
			ground_01(screen,"floor19", 4836, 162, 78, 72) ,
			ground_01(screen,"floor20", 2334, 504, 78, 72) ,
			ground_01(screen,"floor21", 4620, 504, 78, 72) ,
			ground_01(screen,"floor22", 2904, 618, 78, 72) ,
			ground_01(screen,"floor23", 4626, 624, 78, 72) ,
			ground_01(screen,"floor24", 2910, 738, 78, 72) ,
			ground_01(screen,"floor25", 4734, 378, 78, 72) ,
			ground_01(screen,"floor26", 2904, 858, 78, 72) ,
			ground_01(screen,"floor27", 4620, 744, 78, 72) ,
			ground_01(screen,"floor28", 2910, 504, 78, 72) ,
			ground_01(screen,"floor29", 4836, 372, 78, 72) ,
			ground_01(screen,"floor30", 2208, 504, 78, 72) ,
			ground_01(screen,"floor31", 2208, 618, 78, 72) ,
			ground_01(screen,"floor32", 4626, 390, 78, 72) ,
			ground_01(screen,"floor33", 2208, 738, 78, 72) ,
			ground_01(screen,"floor34", 4740, 498, 78, 72) ,
			ground_01(screen,"floor35", 2208, 858, 78, 72) ,
			ground_01(screen,"floor36", 174, 216, 78, 72) ,
			ground_01(screen,"floor37", 4734, 618, 78, 72) ,
			ground_01(screen,"floor38", 4740, 264, 78, 72) ,
			ground_01(screen,"floor39", 4842, 492, 78, 72) ,
			ground_01(screen,"floor40", 414, 576, 78, 72) ,
			ground_01(screen,"floor41", 4836, 612, 78, 72) ,
			ground_01(screen,"floor42", 300, 222, 78, 72) ,
			ground_01(screen,"floor43", 4842, 258, 78, 72) ,
			ground_01(screen,"floor44", 420, 696, 78, 72) ,
			ground_01(screen,"floor45", 294, 456, 78, 72) ,
			ground_01(screen,"floor46", 414, 816, 78, 72) ,
			ground_01(screen,"floor47", 174, 336, 78, 72) ,
			ground_01(screen,"floor48", 420, 462, 78, 72) ,
			ground_01(screen,"floor49", 300, 576, 78, 72) ,
			ground_01(screen,"floor50", 294, 696, 78, 72) ,
			ground_01(screen,"floor51", 2874, 1410, 432, 72) ,
			ground_01(screen,"floor52", 300, 342, 78, 72) ,
			ground_01(screen,"floor53", 180, 456, 78, 72) ,
			ground_01(screen,"floor54", 2874, 1506, 432, 72) ,
			ground_01(screen,"floor55", 174, 576, 78, 72) ,
			ground_01(screen,"floor56", 2418, 1410, 432, 72) ,
			goal(screen,"goal", 174, 48, 198, 72) ,
			ground_01(screen,"floor58", 2418, 1506, 432, 72) ,
			ground_01(screen,"floor59", 1938, 1410, 432, 72) ,
			ground_01(screen,"floor60", 1938, 1506, 432, 72) ,
			ground_01(screen,"floor61", 4260, 1668, 78, 72) ,
			ground_01(screen,"floor62", 1338, 1668, 78, 72) ,
			ground_01(screen,"floor63", 4068, 1668, 78, 72) ,
			ground_01(screen,"floor64", 2796, 2700, 78, 72) ,
			ground_01(screen,"floor65", 3942, 1668, 78, 72) ,
			ground_01(screen,"floor66", 1146, 1668, 78, 72) ,
			ground_01(screen,"floor67", 3810, 1668, 78, 72) ,
			ground_01(screen,"floor68", -18, 3180, 5130, 156) ,
			ground_01(screen,"floor69", 4380, 1782, 78, 72) ,
			ground_01(screen,"floor70", 1020, 1668, 78, 72) ,
			ground_01(screen,"floor71", 4386, 1902, 78, 72) ,
			ground_01(screen,"floor72", 2604, 2700, 78, 72) ,
			ground_01(screen,"floor73", 4380, 2022, 78, 72) ,
			ground_01(screen,"floor74", 888, 1668, 78, 72) ,
			ground_01(screen,"floor75", 4386, 1668, 78, 72) ,
			ground_01(screen,"floor76", 4962, 48, 168, 3288) ,
			ground_01(screen,"floor77", 3684, 1668, 78, 72) ,
			ground_01(screen,"floor78", 1458, 1782, 78, 72) ,
			ground_01(screen,"floor79", 3684, 1782, 78, 72) ,
			ground_01(screen,"floor80", 2478, 2700, 78, 72) ,
			ground_01(screen,"floor81", 3684, 1902, 78, 72) ,
			ground_01(screen,"floor82", 1464, 1902, 78, 72) ,
			ground_01(screen,"floor83", 3684, 2022, 78, 72) ,
			ground_01(screen,"floor84", -36, 48, 168, 3288) ,
			ground_01(screen,"floor85", 4380, 1434, 432, 72) ,
			ground_01(screen,"floor86", 1458, 2022, 78, 72) ,
			ground_01(screen,"floor87", 3330, 1410, 432, 72) ,
			ground_01(screen,"floor88", 2346, 2700, 78, 72) ,
			ground_01(screen,"floor89", 4380, 1572, 432, 72) ,
			ground_01(screen,"floor90", 1464, 1668, 78, 72) ,
			ground_01(screen,"floor91", 3330, 1506, 432, 72) ,
			ground_01(screen,"floor92", 1866, 1866, 432, 72) ,
			ground_01(screen,"floor93", 4620, 1254, 336, 72) ,
			ground_01(screen,"floor94", 762, 1668, 78, 72) ,
			ground_01(screen,"floor95", 3126, 1254, 342, 72) ,
			ground_01(screen,"floor96", 2916, 2814, 78, 72) ,
			ground_01(screen,"floor97", 4242, 834, 264, 72) ,
			ground_01(screen,"floor98", 762, 1782, 78, 72) ,
			ground_01(screen,"floor99", 3330, 834, 432, 72) ,
			ground_01(screen,"floor100", 2172, 2172, 834, 186) ,
			ground_01(screen,"floor101", 3954, 834, 240, 186) ,
			ground_01(screen,"floor102", 3636, 1140, 834, 186) ,
			ground_01(screen,"floor103", 762, 1902, 78, 72) ,
			ground_01(screen,"floor104", 2922, 2934, 78, 72) ,
			ground_01(screen,"floor105", 762, 2022, 78, 72) ,
			ground_01(screen,"floor106", 2490, 1866, 240, 186) ,
			ground_01(screen,"floor107", 1458, 1410, 432, 72) ,
			ground_01(screen,"floor108", 2916, 3054, 78, 72) ,
			ground_01(screen,"floor109", 408, 1440, 432, 72) ,
			ground_01(screen,"floor110", 2916, 1866, 432, 72) ,
			ground_01(screen,"floor111", 1458, 1506, 432, 72) ,
			ground_01(screen,"floor112", 2922, 2700, 78, 72) ,
			ground_01(screen,"floor113", 408, 1578, 432, 72) ,
			ground_01(screen,"floor114", 1662, 2286, 342, 72) ,
			ground_01(screen,"floor115", 1698, 1254, 336, 72) ,
			ground_01(screen,"floor116", 2220, 2700, 78, 72) ,
			ground_01(screen,"floor117", 204, 1254, 342, 72) ,
			ground_01(screen,"floor118", 3156, 2286, 336, 72) ,
			ground_01(screen,"floor119", 1458, 834, 432, 72) ,
			ground_01(screen,"floor120", 2220, 2814, 78, 72) ,
			ground_01(screen,"floor121", 720, 834, 264, 72) ,
			ground_01(screen,"floor122", 1032, 834, 240, 186) ,
			ground_01(screen,"floor123", 1866, 2538, 432, 72) ,
			ground_01(screen,"floor124", 714, 1140, 834, 186) ,
			ground_01(screen,"floor125", 2220, 2934, 78, 72) ,
			ground_01(screen,"floor126", 2916, 2538, 432, 72) ,
			ground_01(screen,"floor127", 2220, 3054, 78, 72) ,
			ground_01(screen,"floor128", 1866, 2400, 432, 72) ,
			ground_01(screen,"floor129", 2916, 2400, 432, 72) ,
			player(screen,"player", 2418, 2886, constants.PLAYER_WIDTH,constants.PLAYER_HEIGHT) ,

        ])
        self.viewport_offset_x = -2418
        self.viewport_offset_y = -2886