
from scenes.scene import *
from entities.game_object import *
from entities.ground_01 import *
from entities.ground_02 import *
from entities.wall_01 import *
from entities.player import *
from entities.background_01 import *
from entities.special_bottom import *
from entities.special_top import * 
from entities.special_right import *
from entities.special_left import *
from entities.goal import *
from entities.refill import *
from entities.pic import *
import constants
class scene_010(scene):
    def __init__(self,screen,completed):
        self.completed = completed
        self.completing = False
        self.main_player = None
        self.screen = screen
        self.game_objects = []
        self.viewport_offset_x = 0
        self.viewport_offset_y = 0
        self.min_viewport_x = 0
        self.min_viewport_y = 0
        self.max_viewport_x = constants.SCREEN_WIDTH
        self.max_viewport_y = constants.SCREEN_HEIGHT
        self.display = ""
        self.begin_text = ""
        self.win_text = ""
        self.title = "Level 10"
        self.game_objects.extend([
            #screen, name,x, y, width, height
            special_top(screen,"top", -10000, -10000, 100, 10) ,
            special_bottom(screen,"bottom", -10000, -10000, 100, 10) ,
            special_right(screen,"left", -10000, -10000, 100, 10) ,
            special_left(screen,"right", -10000, -10000, 100, 10) ,
			ground_01(screen,"floor1", 2040, 2124, 408, 60) ,
			ground_01(screen,"floor2", 2850, 2124, 186, 72) ,
			ground_01(screen,"floor3", 4014, 2136, 558, 60) ,
			ground_01(screen,"floor4", 2610, 2202, 186, 72) ,
			ground_01(screen,"floor5", 2610, 2280, 186, 72) ,
			ground_01(screen,"floor6", 2610, 2358, 186, 72) ,
			ground_01(screen,"floor7", 2610, 2754, 186, 72) ,
			refill(screen,"refill", 618, 1182, 186, 72) ,
			ground_01(screen,"floor9", 2610, 2514, 186, 72) ,
			refill(screen,"refill", 1020, 1182, 186, 72) ,
			ground_01(screen,"floor11", 2610, 2598, 186, 72) ,
			refill(screen,"refill", 168, 1182, 186, 72) ,
			ground_01(screen,"floor13", 2610, 2676, 186, 72) ,
			refill(screen,"refill", 168, 1464, 186, 72) ,
			ground_01(screen,"floor15", 2610, 2436, 186, 72) ,
			refill(screen,"refill", 3696, 1182, 186, 72) ,
			refill(screen,"refill", 168, 1716, 186, 72) ,
			refill(screen,"refill", 4242, 1182, 186, 72) ,
			refill(screen,"refill", 4680, 1182, 186, 72) ,
			refill(screen,"refill", 4680, 1464, 186, 72) ,
			refill(screen,"refill", 4680, 1716, 186, 72) ,
			ground_01(screen,"floor22", 2214, 408, 90, 60) ,
			ground_01(screen,"floor23", 2532, 408, 90, 60) ,
			ground_01(screen,"floor24", 2268, 462, 312, 60) ,
			ground_01(screen,"floor25", 2214, 2508, 186, 72) ,
			ground_01(screen,"floor26", 2214, 2904, 186, 72) ,
			ground_01(screen,"floor27", 2850, 2520, 186, 72) ,
			ground_01(screen,"floor28", 2214, 2664, 186, 72) ,
			ground_01(screen,"floor29", 2214, 2748, 186, 72) ,
			ground_01(screen,"floor30", 4680, 2520, 186, 72) ,
			ground_01(screen,"floor31", 2214, 2826, 186, 72) ,
			ground_01(screen,"floor32", 2850, 2280, 186, 72) ,
			ground_01(screen,"floor33", 2214, 2586, 186, 72) ,
			ground_01(screen,"floor34", 3804, 2196, 78, 456) ,
			ground_01(screen,"floor35", 2850, 2364, 186, 72) ,
			ground_01(screen,"floor36", 4680, 2280, 186, 72) ,
			ground_01(screen,"floor37", 2850, 2442, 186, 72) ,
			ground_01(screen,"floor38", 2784, 2586, 2118, 186) ,
			ground_01(screen,"floor39", 2850, 2202, 186, 72) ,
			ground_01(screen,"floor40", 4680, 2364, 186, 72) ,
			ground_01(screen,"floor41", 2784, 2190, 60, 480) ,
			ground_01(screen,"floor42", 4680, 2442, 186, 72) ,
			ground_01(screen,"floor43", 1140, 2676, 186, 72) ,
			ground_01(screen,"floor44", 4680, 2202, 186, 72) ,
			ground_01(screen,"floor45", 1332, 2532, 870, 228) ,
			ground_01(screen,"floor46", 1140, 2604, 186, 72) ,
			ground_01(screen,"floor47", 750, 2754, 1452, 228) ,
			ground_01(screen,"floor48", 1140, 2532, 186, 72) ,
			ground_01(screen,"floor49", 78, 2982, 4554, 60) ,
			ground_01(screen,"floor50", 102, 2904, 186, 72) ,
			ground_01(screen,"floor51", 102, 2664, 186, 72) ,
			ground_01(screen,"floor52", 102, 2826, 186, 72) ,
			ground_01(screen,"floor53", 102, 2586, 186, 72) ,
			ground_01(screen,"floor54", 102, 2748, 186, 72) ,
			ground_01(screen,"floor55", 102, 2508, 186, 72) ,
			ground_01(screen,"floor56", 438, 2508, 312, 60) ,
			ground_01(screen,"floor57", 4680, 2136, 192, 60) ,
			ground_01(screen,"floor58", 3234, 2136, 648, 60) ,
			ground_01(screen,"floor59", 2610, 2136, 234, 60) ,
			ground_01(screen,"floor60", 1122, 2136, 648, 60) ,
			ground_01(screen,"floor61", 102, 2136, 648, 60) ,
			goal(screen,"goal", 2268, 162, 288, 78) ,
			refill(screen,"refill", -90, 3168, 5130, 156) ,
			ground_01(screen,"floor64", 4890, 36, 168, 3288) ,
			ground_01(screen,"floor65", -108, 36, 168, 3288) ,
			player(screen,"player", 2382, 282, constants.PLAYER_WIDTH,constants.PLAYER_HEIGHT) ,

        ])
        self.viewport_offset_x = -2382
        self.viewport_offset_y = -282