
from scenes.scene import *
from entities.game_object import *
from entities.ground_01 import *
from entities.ground_02 import *
from entities.wall_01 import *
from entities.player import *
from entities.background_01 import *
from entities.special_bottom import *
from entities.special_top import * 
from entities.special_right import *
from entities.special_left import *
from entities.goal import *
from entities.refill import *
from entities.pic import *
import constants
class scene_011(scene):
    def __init__(self,screen,completed):
        self.completed = completed
        self.completing = False
        self.main_player = None
        self.screen = screen
        self.game_objects = []
        self.viewport_offset_x = 0
        self.viewport_offset_y = 0
        self.min_viewport_x = 0
        self.min_viewport_y = 0
        self.max_viewport_x = constants.SCREEN_WIDTH
        self.max_viewport_y = constants.SCREEN_HEIGHT
        self.display = ""
        self.begin_text = ""
        self.win_text = ""
        self.title = "Level 11"
        self.game_objects.extend([
            #screen, name,x, y, width, height
            special_top(screen,"top", -10000, -10000, 100, 10) ,
            special_bottom(screen,"bottom", -10000, -10000, 100, 10) ,
            special_right(screen,"left", -10000, -10000, 100, 10) ,
            special_left(screen,"right", -10000, -10000, 100, 10) ,
			ground_01(screen,"floor1", 2520, 852, 78, 60) ,
			ground_01(screen,"floor2", 2862, 486, 78, 60) ,
			ground_01(screen,"floor3", 2784, 984, 78, 60) ,
			ground_01(screen,"floor4", 2712, 1170, 78, 60) ,
			ground_01(screen,"floor5", 2508, 1038, 78, 60) ,
			ground_01(screen,"floor6", 2940, 822, 78, 60) ,
			ground_01(screen,"floor7", 3390, 1170, 78, 60) ,
			ground_01(screen,"floor8", 2544, 960, 78, 60) ,
			ground_01(screen,"floor9", 2784, 942, 78, 60) ,
			ground_01(screen,"floor10", 2544, 1110, 78, 60) ,
			ground_01(screen,"floor11", 3108, 1284, 78, 60) ,
			ground_01(screen,"floor12", 2886, 594, 78, 60) ,
			ground_01(screen,"floor13", 2814, 672, 78, 60) ,
			ground_01(screen,"floor14", 2670, 1110, 78, 60) ,
			ground_01(screen,"floor15", 2652, 594, 78, 60) ,
			ground_01(screen,"floor16", 2574, 402, 78, 60) ,
			ground_01(screen,"floor17", 2808, 1092, 78, 60) ,
			ground_01(screen,"floor18", 2706, 480, 78, 60) ,
			ground_01(screen,"floor19", 2700, 402, 78, 60) ,
			ground_01(screen,"floor20", 2580, 402, 78, 60) ,
			ground_01(screen,"floor21", 2808, 1242, 78, 60) ,
			ground_01(screen,"floor22", 2520, 522, 78, 60) ,
			ground_01(screen,"floor23", 3186, 798, 78, 60) ,
			ground_01(screen,"floor24", 2934, 1242, 78, 60) ,
			ground_01(screen,"floor25", 3012, 798, 78, 60) ,
			ground_01(screen,"floor26", 2670, 888, 78, 60) ,
			ground_01(screen,"floor27", 3246, 672, 78, 60) ,
			ground_01(screen,"floor28", 3240, 1092, 78, 60) ,
			ground_01(screen,"floor29", 3114, 672, 78, 60) ,
			ground_01(screen,"floor30", 2772, 768, 78, 60) ,
			ground_01(screen,"floor31", 3012, 522, 78, 60) ,
			ground_01(screen,"floor32", 2598, 768, 78, 60) ,
			ground_01(screen,"floor33", 2940, 402, 78, 60) ,
			ground_01(screen,"floor34", 3294, 978, 78, 60) ,
			ground_01(screen,"floor35", 3168, 900, 78, 60) ,
			ground_01(screen,"floor36", 3108, 1020, 78, 60) ,
			ground_01(screen,"floor37", 3168, 1170, 78, 60) ,
			ground_01(screen,"floor38", 3036, 1170, 78, 60) ,
			ground_01(screen,"floor39", 2934, 1020, 78, 60) ,
			ground_01(screen,"floor40", 3036, 900, 78, 60) ,
			ground_01(screen,"floor41", 2862, 900, 78, 60) ,
			ground_01(screen,"floor42", 3522, 1308, 198, 60) ,
			ground_01(screen,"floor43", 3756, 1362, 198, 60) ,
			ground_01(screen,"floor44", 3756, 1458, 198, 60) ,
			ground_01(screen,"floor45", 3522, 702, 1398, 60) ,
			ground_01(screen,"floor46", 3522, 402, 1398, 60) ,
			ground_01(screen,"floor47", 3522, 990, 1398, 60) ,
			ground_01(screen,"floor48", 3522, 120, 1398, 60) ,
			ground_01(screen,"floor49", 3522, 1236, 1398, 60) ,
			ground_01(screen,"floor50", 4236, 1740, 198, 60) ,
			ground_01(screen,"floor51", 4722, 2064, 198, 60) ,
			ground_01(screen,"floor52", 3312, 2394, 1608, 60) ,
			refill(screen,"refill", 3114, 2394, 186, 60) ,
			goal(screen,"goal", 4614, 6, 258, 72) ,
			ground_01(screen,"floor55", 2184, 2394, 918, 60) ,
			ground_01(screen,"floor56", 2184, 2460, 1116, 60) ,
			ground_01(screen,"floor57", 2184, 2526, 1116, 60) ,
			ground_01(screen,"floor58", 2184, 2592, 1116, 60) ,
			ground_01(screen,"floor59", 2184, 2658, 1116, 60) ,
			ground_01(screen,"floor60", 2184, 2724, 1116, 60) ,
			ground_01(screen,"floor61", 1950, 2736, 198, 60) ,
			ground_01(screen,"floor62", 1824, 2802, 198, 60) ,
			ground_01(screen,"floor63", 1824, 2868, 198, 60) ,
			ground_01(screen,"floor64", 1824, 2934, 198, 60) ,
			ground_01(screen,"floor65", 1662, 3006, 1116, 60) ,
			goal(screen,"goal", 126, 432, 60, 186) ,
			ground_01(screen,"floor67", 90, 2286, 870, 60) ,
			ground_01(screen,"floor68", 90, 2394, 870, 60) ,
			ground_01(screen,"floor69", 90, 1458, 870, 60) ,
			ground_01(screen,"floor70", 90, 2784, 870, 60) ,
			ground_01(screen,"floor71", 90, 1848, 870, 60) ,
			ground_01(screen,"floor72", 90, 3000, 870, 60) ,
			ground_01(screen,"floor73", 90, 1020, 870, 60) ,
			ground_01(screen,"floor74", 90, 2562, 870, 60) ,
			ground_01(screen,"floor75", 90, 2064, 870, 60) ,
			ground_01(screen,"floor76", 90, 1236, 870, 60) ,
			ground_01(screen,"floor77", 90, 2334, 870, 60) ,
			ground_01(screen,"floor78", 90, 2724, 870, 60) ,
			ground_01(screen,"floor79", 90, 1626, 870, 60) ,
			ground_01(screen,"floor80", 90, 798, 870, 60) ,
			ground_01(screen,"floor81", 90, 2676, 870, 60) ,
			ground_01(screen,"floor82", 90, 2226, 870, 60) ,
			ground_01(screen,"floor83", 90, 2940, 870, 60) ,
			ground_01(screen,"floor84", 90, 1398, 870, 60) ,
			ground_01(screen,"floor85", 90, 2502, 870, 60) ,
			ground_01(screen,"floor86", 90, 1788, 870, 60) ,
			ground_01(screen,"floor87", 90, 960, 870, 60) ,
			ground_01(screen,"floor88", 90, 2616, 870, 60) ,
			ground_01(screen,"floor89", 90, 2178, 870, 60) ,
			ground_01(screen,"floor90", 90, 2892, 870, 60) ,
			ground_01(screen,"floor91", 90, 1350, 870, 60) ,
			ground_01(screen,"floor92", 90, 2832, 870, 60) ,
			ground_01(screen,"floor93", 90, 1740, 870, 60) ,
			ground_01(screen,"floor94", 90, 2454, 870, 60) ,
			ground_01(screen,"floor95", 90, 912, 870, 60) ,
			ground_01(screen,"floor96", 90, 2394, 870, 60) ,
			ground_01(screen,"floor97", 90, 2004, 870, 60) ,
			ground_01(screen,"floor98", 90, 1176, 870, 60) ,
			ground_01(screen,"floor99", 90, 1566, 870, 60) ,
			ground_01(screen,"floor100", 90, 2118, 870, 60) ,
			ground_01(screen,"floor101", 90, 738, 870, 60) ,
			ground_01(screen,"floor102", 90, 1680, 870, 60) ,
			ground_01(screen,"floor103", 90, 1290, 870, 60) ,
			ground_01(screen,"floor104", 90, 1956, 870, 60) ,
			ground_01(screen,"floor105", 90, 852, 870, 60) ,
			ground_01(screen,"floor106", 90, 1896, 870, 60) ,
			ground_01(screen,"floor107", 90, 1128, 870, 60) ,
			ground_01(screen,"floor108", 90, 1518, 870, 60) ,
			ground_01(screen,"floor109", 90, 1068, 870, 60) ,
			ground_01(screen,"floor110", 90, 1458, 870, 60) ,
			ground_01(screen,"floor111", 90, 690, 870, 60) ,
			ground_01(screen,"floor112", 90, 630, 870, 60) ,
			ground_01(screen,"floor113", -66, 3060, 5130, 252) ,
			ground_01(screen,"floor114", 4914, 6, 168, 3288) ,
			ground_01(screen,"floor115", -84, 6, 168, 3288) ,
			player(screen,"player", 1188, 2676, constants.PLAYER_WIDTH,constants.PLAYER_HEIGHT) ,

        ])
        self.viewport_offset_x = -1188
        self.viewport_offset_y = -2676